package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceClassify;
import com.unissoft.basic.model.BasicEnum;
import com.unissoft.basic.service.BasicDeviceClassifyService;
import com.unissoft.basic.service.BasicEnumService;
import com.unissoft.common.DateUtils;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.UUID;

/**
 * <p>
 * 设备配置-设备分类 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-02
 */
@RestController
@Api(tags = "设备分类")
@RequestMapping("/basic-device-classify")
public class BasicDeviceClassifyController {

    @Resource
    private BasicDeviceClassifyService basicDeviceClassifyService;


    @PostMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "树型列表,顶级参与分页")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceClassify> pageList = basicDeviceClassifyService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @GetMapping("/getParentList")
    @ApiOperation(value = "父级菜单列表", notes = "所有一级父级list")
    public ResultView getParentList(String classifyName) {
        try {
            List<BasicDeviceClassify> list = basicDeviceClassifyService.getParentList(classifyName);
            return ResultView.success(list);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "保存/保存子分类", notes = "更新或保存")
    public ResultView save(@RequestBody BasicDeviceClassify basicDeviceClassify) {
        if (StringUtils.isEmpty(basicDeviceClassify.getId())) {
            basicDeviceClassify.setId(UUID.randomUUID().toString());
            basicDeviceClassify.setCreateTime(DateUtils.getDate());
            if (StringUtils.isEmpty(basicDeviceClassify.getParentId())) {
                basicDeviceClassify.setParentId("0");
            }
        }
        boolean save = basicDeviceClassifyService.saveOrUpdate(basicDeviceClassify);
        if (save)
            return ResultView.success();
        else
            return ResultView.error();
    }


}
