package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.unissoft.basic.model.BasicDeviceClassifyDetail;
import com.unissoft.basic.model.BasicDeviceHeatRecord;
import com.unissoft.basic.model.BasicRemoteProtocol;
import com.unissoft.basic.service.BasicDeviceClassifyDetailService;
import com.unissoft.basic.service.BasicDeviceHeatRecordService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.R;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 设备配置-设备分类信息明细 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-02
 */
@RestController
@Api(tags = "设备分类信息明细")
@RequestMapping("/basic-device-classify-detail")
public class BasicDeviceClassifyDetailController {


    @Autowired
    private BasicDeviceClassifyDetailService basicDeviceClassifyDetailService;


    @ApiOperation(value = "根据菜单查询分类明细", notes = "")
    @GetMapping("/getByEnumBasicDeviceClassifyDetail")
    @ApiImplicitParams({
            @ApiImplicitParam(name="classifyName",value="分类名称或编号",paramType = "query",required=false),

    })
    public R<List<BasicDeviceClassifyDetail>> getByEnumBasicDeviceClassifyDetail(String classifyName) {
        LambdaQueryWrapper<BasicDeviceClassifyDetail> wrapper = new LambdaQueryWrapper<BasicDeviceClassifyDetail>();
        wrapper.like(null!=classifyName&&"".equals(classifyName), BasicDeviceClassifyDetail::getClassifyName,classifyName);
        wrapper.like(null!=classifyName&&"".equals(classifyName), BasicDeviceClassifyDetail::getClassifyIdentifying,classifyName);
        List<BasicDeviceClassifyDetail> list = basicDeviceClassifyDetailService.list(wrapper);
        return R.SUCCESS(list);
    }

    @ApiOperation(value = "条件查询分类明细", notes = "")
    @GetMapping("/getByBasicDeviceClassifyDetail")
    @ApiImplicitParams({
            @ApiImplicitParam(name="classifyIdentifying",value="分类标识",paramType = "query",required=false),

    })
    public R<List<BasicDeviceClassifyDetail>> getByBasicDeviceClassifyDetail(String classifyIdentifying) {
        LambdaQueryWrapper<BasicDeviceClassifyDetail> wrapper = new LambdaQueryWrapper<BasicDeviceClassifyDetail>();
        wrapper.eq(null!=classifyIdentifying&&"".equals(classifyIdentifying), BasicDeviceClassifyDetail::getClassifyIdentifying,classifyIdentifying);
        List<BasicDeviceClassifyDetail> list = basicDeviceClassifyDetailService.list(wrapper);
        return R.SUCCESS(list);
    }

    @PostMapping("/update")
    @ApiOperation(value = "修改", notes = "根据id修改")
    public ResultView update(@RequestBody BasicDeviceClassifyDetail basicDeviceClassifyDetail) {
        boolean save = basicDeviceClassifyDetailService.updateById(basicDeviceClassifyDetail);
        if (save)
            return ResultView.success();
        else
            return ResultView.error();
    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "删除", notes = "根据id删除")
    public ResultView getByIdForUserDelete(@PathVariable String id) {
        if (basicDeviceClassifyDetailService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
