package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigAirtightness;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigAirtightnessService;
import com.unissoft.basic.service.BasicWarrantyPreserveService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置—气密性 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—气密性")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-airtightness")
public class BasicDeviceConfigAirtightnessController {
    private BasicDeviceConfigAirtightnessService airtightnessService;

    @Autowired
    public void setBasicDeviceConfigAirtightnessController(BasicDeviceConfigAirtightnessService airtightnessService) {
        this.airtightnessService = airtightnessService;
    }

    @ApiOperation(value = "设备配置—气密性", notes = "根据id查询")
    @GetMapping("/authority/getAirtightnessById/{id}")
    public ResultView getAirtightnessById(@PathVariable String id) {
        BasicDeviceConfigAirtightness airtightness = airtightnessService.getById(id);
        return ResultView.success(airtightness);
    }

//    @GetMapping("/authority/getAirtightnessList")
//    @ApiOperation(value = "设备配置—气密性", notes = "查询list")
//    public ResultView getAirtightnessList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigAirtightness> list = airtightnessService.getAirtightnessList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getAirtightnessPage")
    @ApiOperation(value = "设备配置—气密性", notes = "分页列表")
    public ResultView getAirtightnessPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigAirtightness> page = airtightnessService.getAirtightnessPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—气密性", notes = "新增保存")
    public ResultView saveAirtightness(@RequestBody BasicDeviceConfigAirtightness airtightness) {
        airtightness.setId(UUID.randomUUID().toString());
        try {
            airtightnessService.saveTwo(airtightness);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//       boolean save = airtightnessService.save(airtightness);
//        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
//        warrantyPreserve.setId(airtightness.getId());
//        warrantyPreserve.setAssetName(airtightness.getDeviceName());//资产名称
//        warrantyPreserve.setAssetNo(airtightness.getDeviceNo());//资产编号
//        warrantyPreserve.setHouseCode(airtightness.getHouseCode());
//        warrantyPreserve.setOrgCode(airtightness.getOrgCode());
//        warrantyPreserve.setDeviceId(airtightness.getDeviceNumber());
//        warrantyPreserve.setWarrantyTime(airtightness.getWarrantyTime());
//        warrantyPreserve.setIsPreserve("0");
//        warrantyPreserve.setPreserveTime(airtightness.getLastSeenTime());
//        warrantyPreserve.setSurplusTime("30");//剩余时间
//        warrantyPreserveService.save(warrantyPreserve);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—气密性", notes = "根据id更新")
    public ResultView updateAirtightness(@RequestBody BasicDeviceConfigAirtightness BasicDeviceConfigAirtightness) {
        boolean b = airtightnessService.updateById(BasicDeviceConfigAirtightness);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—气密性", notes = "根据id删除")
    public ResultView getByIdForAirtightnessDelete(@PathVariable String id) {
        if (airtightnessService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
