package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigAtmosphere;
import com.unissoft.basic.service.BasicDeviceConfigAtmosphereService;
import com.unissoft.common.DateUtils;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.house.model.HouseInfo;
import com.unissoft.house.service.HouseInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.List;
import java.util.UUID;

/**
 * <p>
 * 设备配置—气体 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—气体")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-atmosphere")
public class BasicDeviceConfigAtmosphereController {
    private BasicDeviceConfigAtmosphereService atmosphereService;

    @Autowired
    public void setBasicDeviceConfigAtmosphereController(BasicDeviceConfigAtmosphereService atmosphereService) {
        this.atmosphereService = atmosphereService;
    }

    @ApiOperation(value = "设备配置—气体", notes = "根据id查询")
    @GetMapping("/authority/getAtmosphereById/{id}")
    public ResultView getAtmosphereById(@PathVariable String id) {
        BasicDeviceConfigAtmosphere atmosphere = atmosphereService.getById(id);
        return ResultView.success(atmosphere);
    }

//    @GetMapping("/authority/getAtmosphereList")
//    @ApiOperation(value = "设备配置—气体", notes = "查询list")
//    public ResultView getAtmosphereList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigAtmosphere> list = atmosphereService.getAtmosphereList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getAtmospherePage")
    @ApiOperation(value = "设备配置—气体", notes = "分页列表")
    public ResultView getAtmospherePage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigAtmosphere> page = atmosphereService.getAtmospherePage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—气体", notes = "新增保存")
    public ResultView saveAtmosphere(@RequestBody BasicDeviceConfigAtmosphere basicDeviceConfigAtmosphere) {
        basicDeviceConfigAtmosphere.setId(UUID.randomUUID().toString());
        try {
            atmosphereService.saveTwo(basicDeviceConfigAtmosphere);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = atmosphereService.save(basicDeviceConfigAtmosphere);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—气体", notes = "根据id更新")
    public ResultView updateAtmosphere(@RequestBody BasicDeviceConfigAtmosphere basicDeviceConfigAtmosphere) {
        boolean b = atmosphereService.updateById(basicDeviceConfigAtmosphere);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—气体", notes = "根据id删除")
    public ResultView getByIdForAtmosphereDelete(@PathVariable String id) {
        if (atmosphereService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
