package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigEnergy;
import com.unissoft.basic.service.BasicDeviceConfigEnergyService;
import com.unissoft.common.DateUtils;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.house.model.HouseInfo;
import com.unissoft.house.service.HouseInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.websocket.server.PathParam;
import java.util.List;
import java.util.UUID;

/**
 * <p>
 * 设备配置—能耗 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—能耗")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-energy")
public class BasicDeviceConfigEnergyController {
    private BasicDeviceConfigEnergyService energyService;

    @Autowired
    public void setBasicDeviceConfigenergyController(BasicDeviceConfigEnergyService energyService) {
        this.energyService = energyService;
    }

    @ApiOperation(value = "设备配置—能耗", notes = "根据id查询")
    @GetMapping("/authority/getenergyById/{id}")
    public ResultView getenergyById(@PathVariable String id) {
        BasicDeviceConfigEnergy energy = energyService.getById(id);
        return ResultView.success(energy);
    }

//    @GetMapping("/authority/getenergyList")
//    @ApiOperation(value = "设备配置—能耗", notes = "查询list")
//    public ResultView getenergyList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigenergy> list = energyService.getenergyList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getenergyPage")
    @ApiOperation(value = "设备配置—能耗", notes = "分页列表")
    public ResultView getenergyPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigEnergy> page = energyService.getEnergyPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—能耗", notes = "新增保存")
    public ResultView saveenergy(@RequestBody BasicDeviceConfigEnergy basicDeviceConfigEnergy) {
        basicDeviceConfigEnergy.setId(UUID.randomUUID().toString());
        try {
            energyService.saveTwo(basicDeviceConfigEnergy);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = energyService.save(basicDeviceConfigEnergy);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—能耗", notes = "根据id更新")
    public ResultView updateenergy(@RequestBody BasicDeviceConfigEnergy basicDeviceConfigEnergy) {
        boolean b = energyService.updateById(basicDeviceConfigEnergy);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—气密性", notes = "根据id删除")
    public ResultView getByIdForEnergyDelete(@PathVariable String id) {
        if (energyService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
