package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigFood;
import com.unissoft.basic.service.BasicDeviceConfigFoodService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 *  设备配置-粮情检测设备
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—粮情检测设备")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-food")
public class BasicDeviceConfigFoodController {
    @Resource
    private BasicDeviceConfigFoodService foodService;

    @Autowired
    public void setBasicDeviceConfigFoodController(BasicDeviceConfigFoodService foodService) {
        this.foodService = foodService;
    }

    @ApiOperation(value = "设备配置—粮情检测设备", notes = "根据id查询")
    @GetMapping("/authority/getFoodById/{id}")
    public ResultView getFoodById(@PathVariable String id) {
        BasicDeviceConfigFood food = foodService.getById(id);
        return ResultView.success(food);
    }

//    @GetMapping("/authority/getFoodList")
//    @ApiOperation(value = "设备配置—粮情检测设备", notes = "查询list")
//    public ResultView getFoodList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigFood> list = foodService.getFoodList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getFoodPage")
    @ApiOperation(value = "设备配置—粮情检测设备", notes = "分页列表")
    public ResultView getFoodPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigFood> page = foodService.getFoodPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—粮情检测设备", notes = "新增保存")
    public ResultView saveFood(@RequestBody BasicDeviceConfigFood basicDeviceConfigFood) {
        basicDeviceConfigFood.setId(UUID.randomUUID().toString());
        try {
            foodService.saveTwo(basicDeviceConfigFood);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = foodService.save(basicDeviceConfigFood);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—粮情检测设备", notes = "根据id更新")
    public ResultView updateFood(@RequestBody BasicDeviceConfigFood BasicDeviceConfigFood) {
        boolean b = foodService.updateById(BasicDeviceConfigFood);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—粮情检测设备", notes = "根据id删除")
    public ResultView getByIdForFoodDelete(@PathVariable String id) {
        if (foodService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
