package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigGas;
import com.unissoft.basic.service.BasicDeviceConfigGasService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置-气调 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—气调")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-gas")
public class BasicDeviceConfigGasController {
    private BasicDeviceConfigGasService gasService;

    @Autowired
    public void setBasicDeviceConfigGasController(BasicDeviceConfigGasService gasService) {
        this.gasService = gasService;
    }

    @ApiOperation(value = "设备配置—气调", notes = "根据id查询")
    @GetMapping("/authority/getGasById/{id}")
    public ResultView getGasById(@PathVariable String id) {
        BasicDeviceConfigGas gas = gasService.getById(id);
        return ResultView.success(gas);
    }

//    @GetMapping("/authority/getGasList")
//    @ApiOperation(value = "设备配置—气调", notes = "查询list")
//    public ResultView getGasList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigGas> list = gasService.getGasList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getGasPage")
    @ApiOperation(value = "设备配置—气调", notes = "分页列表")
    public ResultView getGasPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigGas> page = gasService.getGasPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—气调", notes = "新增保存")
    public ResultView saveGas(@RequestBody BasicDeviceConfigGas basicDeviceConfigGas) {
        basicDeviceConfigGas.setId(UUID.randomUUID().toString());
        try {
            gasService.saveTwo(basicDeviceConfigGas);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();

//        boolean save = gasService.save(basicDeviceConfigGas);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—气调", notes = "根据id更新")
    public ResultView updateGas(@RequestBody BasicDeviceConfigGas BasicDeviceConfigGas) {
        boolean b = gasService.updateById(BasicDeviceConfigGas);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—气调", notes = "根据id删除")
    public ResultView getByIdForGasDelete(@PathVariable String id) {
        if (gasService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
