package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigLighting;
import com.unissoft.basic.service.BasicDeviceConfigLightingService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置—照明 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—照明")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-lighting")
public class BasicDeviceConfigLightingController {
    private BasicDeviceConfigLightingService lightingService;

    @Autowired
    public void setBasicDeviceConfigLightingController(BasicDeviceConfigLightingService lightingService) {
        this.lightingService = lightingService;
    }

    @ApiOperation(value = "设备配置—照明", notes = "根据id查询")
    @GetMapping("/authority/getLightingById/{id}")
    public ResultView getLightingById(@PathVariable String id) {
        BasicDeviceConfigLighting lighting = lightingService.getById(id);
        return ResultView.success(lighting);
    }

//    @GetMapping("/authority/getLightingList")
//    @ApiOperation(value = "设备配置—照明", notes = "查询list")
//    public ResultView getLightingList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigLighting> list = lightingService.getLightingList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getLightingPage")
    @ApiOperation(value = "设备配置—照明", notes = "分页列表")
    public ResultView getLightingPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigLighting> page = lightingService.getLightingPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—照明", notes = "新增保存")
    public ResultView saveLighting(@RequestBody BasicDeviceConfigLighting basicDeviceConfigLighting) {
        basicDeviceConfigLighting.setId(UUID.randomUUID().toString());
        try {
            lightingService.saveTwo(basicDeviceConfigLighting);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = lightingService.save(basicDeviceConfigLighting);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—照明", notes = "根据id更新")
    public ResultView updateLighting(@RequestBody BasicDeviceConfigLighting BasicDeviceConfigLighting) {
        boolean b = lightingService.updateById(BasicDeviceConfigLighting);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—照明", notes = "根据id删除")
    public ResultView getByIdForLightingDelete(@PathVariable String id) {
        if (lightingService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
