package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigMeteorological;
import com.unissoft.basic.service.BasicDeviceConfigMeteorologicalService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置—气象 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—气象")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-meteorological")
public class BasicDeviceConfigMeteorologicalController {
    private BasicDeviceConfigMeteorologicalService meteorologicalService;

    @Autowired
    public void setBasicDeviceConfigMeteorologicalController(BasicDeviceConfigMeteorologicalService meteorologicalService) {
        this.meteorologicalService = meteorologicalService;
    }

    @ApiOperation(value = "设备配置—气象", notes = "根据id查询")
    @GetMapping("/authority/getMeteorologicalById/{id}")
    public ResultView getMeteorologicalById(@PathVariable String id) {
        BasicDeviceConfigMeteorological meteorological = meteorologicalService.getById(id);
        return ResultView.success(meteorological);
    }

//    @GetMapping("/authority/getMeteorologicalList")
//    @ApiOperation(value = "设备配置—气象", notes = "查询list")
//    public ResultView getMeteorologicalList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigMeteorological> list = meteorologicalService.getMeteorologicalList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getMeteorologicalPage")
    @ApiOperation(value = "设备配置—气象", notes = "分页列表")
    public ResultView getMeteorologicalPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigMeteorological> page = meteorologicalService.getMeteorologicalPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—气象", notes = "新增保存")
    public ResultView saveMeteorological(@RequestBody BasicDeviceConfigMeteorological basicDeviceConfigMeteorological) {
        basicDeviceConfigMeteorological.setId(UUID.randomUUID().toString());
        try {
            meteorologicalService.saveTwo(basicDeviceConfigMeteorological);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = meteorologicalService.save(basicDeviceConfigMeteorological);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—气象", notes = "根据id更新")
    public ResultView updateMeteorological(@RequestBody BasicDeviceConfigMeteorological BasicDeviceConfigMeteorological) {
        boolean b = meteorologicalService.updateById(BasicDeviceConfigMeteorological);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—气象", notes = "根据id删除")
    public ResultView getByIdForMeteorologicalDelete(@PathVariable String id) {
        if (meteorologicalService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
