package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigNitrogen;
import com.unissoft.basic.service.BasicDeviceConfigNitrogenService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置-氮气 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—氮气")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-nitrogen")
public class BasicDeviceConfigNitrogenController {
    private BasicDeviceConfigNitrogenService nitrogenService;

    @Autowired
    public void setBasicDeviceConfigNitrogenController(BasicDeviceConfigNitrogenService nitrogenService) {
        this.nitrogenService = nitrogenService;
    }

    @ApiOperation(value = "设备配置—氮气", notes = "根据id查询")
    @GetMapping("/authority/getNitrogenById/{id}")
    public ResultView getNitrogenById(@PathVariable String id) {
        BasicDeviceConfigNitrogen nitrogen = nitrogenService.getById(id);
        return ResultView.success(nitrogen);
    }

//    @GetMapping("/authority/getNitrogenList")
//    @ApiOperation(value = "设备配置—氮气", notes = "查询list")
//    public ResultView getNitrogenList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigNitrogen> list = nitrogenService.getNitrogenList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getNitrogenPage")
    @ApiOperation(value = "设备配置—氮气", notes = "分页列表")
    public ResultView getNitrogenPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigNitrogen> page = nitrogenService.getNitrogenPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—氮气", notes = "新增保存")
    public ResultView saveNitrogen(@RequestBody BasicDeviceConfigNitrogen basicDeviceConfigNitrogen) {
        basicDeviceConfigNitrogen.setId(UUID.randomUUID().toString());
        try {
            nitrogenService.saveTwo(basicDeviceConfigNitrogen);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = nitrogenService.save(basicDeviceConfigNitrogen);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—氮气", notes = "根据id更新")
    public ResultView updateNitrogen(@RequestBody BasicDeviceConfigNitrogen BasicDeviceConfigNitrogen) {
        boolean b = nitrogenService.updateById(BasicDeviceConfigNitrogen);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—氮气", notes = "根据id删除")
    public ResultView getByIdForNitrogenDelete(@PathVariable String id) {
        if (nitrogenService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
