package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigPestis;
import com.unissoft.basic.service.BasicDeviceConfigPestisService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置-虫害 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—虫害")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-pestis")
public class BasicDeviceConfigPestisController {
    private BasicDeviceConfigPestisService pestisService;

    @Autowired
    public void setBasicDeviceConfigPestisController(BasicDeviceConfigPestisService pestisService) {
        this.pestisService = pestisService;
    }

    @ApiOperation(value = "设备配置—虫害", notes = "根据id查询")
    @GetMapping("/authority/getPestisById/{id}")
    public ResultView getPestisById(@PathVariable String id) {
        BasicDeviceConfigPestis pestis = pestisService.getById(id);
        return ResultView.success(pestis);
    }

//    @GetMapping("/authority/getPestisList")
//    @ApiOperation(value = "设备配置—虫害", notes = "查询list")
//    public ResultView getPestisList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigPestis> list = pestisService.getPestisList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getPestisPage")
    @ApiOperation(value = "设备配置—虫害", notes = "分页列表")
    public ResultView getPestisPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigPestis> page = pestisService.getPestisPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—虫害", notes = "新增保存")
    public ResultView savePestis(@RequestBody BasicDeviceConfigPestis basicDeviceConfigPestis) {
        basicDeviceConfigPestis.setId(UUID.randomUUID().toString());
        try {
            pestisService.saveTwo(basicDeviceConfigPestis);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = pestisService.save(basicDeviceConfigPestis);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—虫害", notes = "根据id更新")
    public ResultView updatePestis(@RequestBody BasicDeviceConfigPestis BasicDeviceConfigPestis) {
        boolean b = pestisService.updateById(BasicDeviceConfigPestis);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—虫害", notes = "根据id删除")
    public ResultView getByIdForPestisDelete(@PathVariable String id) {
        if (pestisService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
