package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicDeviceConfigWind;
import com.unissoft.basic.service.BasicDeviceConfigWindService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 设备配置—通风 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Api(tags = "设备配置—通风")
@Slf4j
@RestController
@RequestMapping("/basic-device-config-wind")
public class BasicDeviceConfigWindController {
    private BasicDeviceConfigWindService windService;

    @Autowired
    public void setBasicDeviceConfigWindController(BasicDeviceConfigWindService windService) {
        this.windService = windService;
    }

    @ApiOperation(value = "设备配置—通风", notes = "根据id查询")
    @GetMapping("/authority/getWindById/{id}")
    public ResultView getWindById(@PathVariable String id) {
        BasicDeviceConfigWind wind = windService.getById(id);
        return ResultView.success(wind);
    }

//    @GetMapping("/authority/getWindList")
//    @ApiOperation(value = "设备配置—通风", notes = "查询list")
//    public ResultView getWindList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicDeviceConfigWind> list = windService.getWindList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getWindPage")
    @ApiOperation(value = "设备配置—通风", notes = "分页列表")
    public ResultView getWindPage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicDeviceConfigWind> page = windService.getWindPage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "设备配置—通风", notes = "新增保存")
    public ResultView saveWind(@RequestBody BasicDeviceConfigWind basicDeviceConfigWind) {
        basicDeviceConfigWind.setId(UUID.randomUUID().toString());
        try {
            windService.saveTwo(basicDeviceConfigWind);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
        return ResultView.success();
//        boolean save = windService.save(basicDeviceConfigWind);
//        if (save){
//            return ResultView.success();
//        }else{
//            return ResultView.error();
//        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "设备配置—通风", notes = "根据id更新")
    public ResultView updateWind(@RequestBody BasicDeviceConfigWind BasicDeviceConfigWind) {
        boolean b = windService.updateById(BasicDeviceConfigWind);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "设备配置—通风", notes = "根据id删除")
    public ResultView getByIdForWindDelete(@PathVariable String id) {
        if (windService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

}
