package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicDeviceControlHeat;
import com.unissoft.basic.model.BasicDeviceControlIllumination;
import com.unissoft.basic.service.BasicDeviceControlHeatService;
import com.unissoft.basic.service.BasicDeviceControlIlluminationService;
import com.unissoft.common.R;
import com.unissoft.utils.Util;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 设备控制-照明设备 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@RestController
@Api(tags = "设备控制-照明设备")
@RequestMapping("/basic-device-control-illumination")
public class BasicDeviceControlIlluminationController {


    @Autowired
    private BasicDeviceControlIlluminationService basicDeviceControlIlluminationService;

    @ApiOperation(value = "照明设备查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentType",value="设备类型",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentTagid",value="设备标签",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentLocation",value="所在位置",paramType = "query",required=false),
    })
    public R<Page<BasicDeviceControlIllumination>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                                          @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                                          @RequestParam(name ="equipmentType",required=false) String equipmentType,
                                                          @RequestParam(name ="equipmentTagid",required=false) String equipmentTagid,
                                                          @RequestParam(name ="equipmentLocation",required=false) String equipmentLocation

    ) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicDeviceControlIllumination> page = new Page<>(currentPage,pageSize);
        Page<BasicDeviceControlIllumination> basicDeviceControlIllumination = basicDeviceControlIlluminationService.selectBasicDeviceControlIllumination(equipmentType,equipmentTagid,equipmentLocation,page);
        return R.SUCCESS(basicDeviceControlIllumination);
    }

    @RequestMapping(value = "/updateBasicDeviceControlIllumination",method = RequestMethod.PUT)
    @ApiOperation("关闭")
    public R<BasicDeviceControlIllumination> updateBasicDeviceControlIllumination(@RequestBody BasicDeviceControlIllumination basicDeviceControlIllumination){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicDeviceControlIlluminationService.updateById(basicDeviceControlIllumination);
            return R.SUCCESS(basicDeviceControlIllumination);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }
    @GetMapping(value = "/CountBasicDeviceControlIllumination")
    @ApiOperation("设备数量")
    public int CountBasicDeviceControlIllumination(){
        LambdaQueryWrapper<BasicDeviceControlIllumination> wrapper = new LambdaQueryWrapper<>();
     /*   wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlHeat::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlHeat::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlHeat::getEquipmentLocation,equipmentLocation);
*/
        return basicDeviceControlIlluminationService.count();

    }

    @GetMapping(value = "/OnlineCountBasicDeviceControlIllumination")
    @ApiOperation("在线设备")
    public int OnlineCountBasicDeviceControlIllumination(){
        LambdaQueryWrapper<BasicDeviceControlIllumination> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlIllumination::getEquipmentStatus,1);
        return basicDeviceControlIlluminationService.count(wrapper);

    }
    @GetMapping(value = "/InServiceCountBasicDeviceControlIllumination")
    @ApiOperation("运行中")
    public int InServiceCountBasicDeviceControlIllumination(){
        LambdaQueryWrapper<BasicDeviceControlIllumination> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlIllumination::getEquipmentStatus,1);
        return basicDeviceControlIlluminationService.count(wrapper);

    }
    @GetMapping(value = "/UsageRateCountBasicDeviceControlIllumination")
    @ApiOperation("使用率")
    public String UsageRateCountBasicDeviceControlIllumination(){
        LambdaQueryWrapper<BasicDeviceControlIllumination> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlIllumination::getEquipmentStatus,1);
        int use=basicDeviceControlIlluminationService.count(wrapper);
        int sum=basicDeviceControlIlluminationService.count();
        return Util.percent(use,sum);

    }




}
