package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicDeviceControlHeat;
import com.unissoft.basic.model.BasicDeviceControlIllumination;
import com.unissoft.basic.model.BasicDeviceControlVentilate;
import com.unissoft.basic.service.BasicDeviceControlHeatService;
import com.unissoft.basic.service.BasicDeviceControlVentilateService;
import com.unissoft.common.R;
import com.unissoft.utils.Util;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 设备控制-通风设备 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@RestController
@Api(tags = "设备控制-通风设备")
@RequestMapping("/basic-device-control-ventilate")
public class BasicDeviceControlVentilateController {


    @Autowired
    private BasicDeviceControlVentilateService basicDeviceControlVentilateService;

    @ApiOperation(value = "通风设备查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentType",value="设备类型",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentTagid",value="设备标签",paramType = "query",required=false),
            @ApiImplicitParam(name="equipmentLocation",value="所在位置",paramType = "query",required=false),
    })
    public R<Page<BasicDeviceControlVentilate>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                                       @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                                       @RequestParam(name ="equipmentType",required=false) String equipmentType,
                                                       @RequestParam(name ="equipmentTagid",required=false) String equipmentTagid,
                                                       @RequestParam(name ="equipmentLocation",required=false) String equipmentLocation

    ) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicDeviceControlVentilate> page = new Page<>(currentPage,pageSize);
        Page<BasicDeviceControlVentilate> basicDeviceControlVentilate = basicDeviceControlVentilateService.selectBasicDeviceControlVentilate(equipmentType,equipmentTagid,equipmentLocation,page);
        return R.SUCCESS(basicDeviceControlVentilate);
    }

    @RequestMapping(value = "/updateBasicDeviceControlVentilate",method = RequestMethod.PUT)
    @ApiOperation("关闭")
    public R<BasicDeviceControlVentilate> updateBasicDeviceControlVentilate(@RequestBody BasicDeviceControlVentilate basicDeviceControlVentilate){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicDeviceControlVentilateService.updateById(basicDeviceControlVentilate);
            return R.SUCCESS(basicDeviceControlVentilate);
        }catch (Exception e) {
            return R.ERROR(e.getMessage()); 
        }
    }

    @GetMapping(value = "/CountBasicDeviceControlVentilate")
    @ApiOperation("设备数量")
    public int CountBasicDeviceControlVentilate(){
        LambdaQueryWrapper<BasicDeviceControlVentilate> wrapper = new LambdaQueryWrapper<>();
     /*   wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlHeat::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlHeat::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlHeat::getEquipmentLocation,equipmentLocation);
*/
        return basicDeviceControlVentilateService.count();

    }

    @GetMapping(value = "/OnlineCountBasicDeviceControlVentilate")
    @ApiOperation("在线设备")
    public int OnlineCountBasicDeviceControlVentilate(){
        LambdaQueryWrapper<BasicDeviceControlVentilate> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlVentilate::getEquipmentStatus,1);
        return basicDeviceControlVentilateService.count(wrapper);

    }
    @GetMapping(value = "/InServiceCountBasicDeviceControlVentilate")
    @ApiOperation("运行中")
    public int InServiceCountBasicDeviceControlVentilate(){
        LambdaQueryWrapper<BasicDeviceControlVentilate> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlVentilate::getEquipmentStatus,1);
        return basicDeviceControlVentilateService.count(wrapper);

    }
    @GetMapping(value = "/UsageRateCountBasicDeviceControlVentilate")
    @ApiOperation("使用率")
    public String UsageRateCountBasicDeviceControlVentilate(){
        LambdaQueryWrapper<BasicDeviceControlVentilate> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(BasicDeviceControlVentilate::getEquipmentStatus,1);
        int use=basicDeviceControlVentilateService.count(wrapper);
        int sum=basicDeviceControlVentilateService.count();
        return Util.percent(use,sum);

    }



}
