package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.unissoft.basic.model.BasicDeviceHeatRecord;
import com.unissoft.basic.service.BasicDeviceHeatRecordService;
import com.unissoft.common.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 * 设备控制-控温设备运行记录 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@RestController
@Api(tags = "设备控制-控温设备运行记录")
@RequestMapping("/basic-device-heat-record")
public class BasicDeviceHeatRecordController {

    @Autowired
    private BasicDeviceHeatRecordService basicDeviceHeatRecordService;


    @ApiOperation(value = "控温设备运行记录", notes = "")
    @GetMapping("/getByBasicDeviceHeatRecord")
    @ApiImplicitParams({
            @ApiImplicitParam(name="equipmentTagid",value="标签编号",paramType = "query",required=false),

    })
    public R<List<BasicDeviceHeatRecord>> getByBasicDeviceHeatRecord(String equipmentTagid) {
        LambdaQueryWrapper<BasicDeviceHeatRecord> wrapper = new LambdaQueryWrapper<>();
        wrapper.eq(null!=equipmentTagid&&!"".equals(equipmentTagid), BasicDeviceHeatRecord::getEquipmentTagid,equipmentTagid);
        List<BasicDeviceHeatRecord> list = basicDeviceHeatRecordService.list(wrapper);
        return R.SUCCESS(list);
    }

}
