package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.unissoft.basic.model.BasicDeviceIlluminationRecord;
import com.unissoft.basic.model.BasicDeviceVentilateRecord;
import com.unissoft.basic.service.BasicDeviceIlluminationRecordService;
import com.unissoft.basic.service.BasicDeviceVentilateRecordService;
import com.unissoft.common.R;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 * 设备控制-通风设备运行记录 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@RestController
@Api(tags ="设备控制-通风设备运行记录")
@RequestMapping("/basic-device-ventilate-record")
public class BasicDeviceVentilateRecordController {

    @Autowired
    private BasicDeviceVentilateRecordService basicDeviceVentilateRecordService;


    @ApiOperation(value = "通风设备运行记录", notes = "")
    @GetMapping("/getBasicDeviceVentilateRecord")
    @ApiImplicitParams({
            @ApiImplicitParam(name="equipmentTagid",value="标签编号",paramType = "query",required=false),

    })
    public R<List<BasicDeviceVentilateRecord>> getByBasicDeviceVentilateRecord(String equipmentTagid) {
        LambdaQueryWrapper<BasicDeviceVentilateRecord> wrapper = new LambdaQueryWrapper<BasicDeviceVentilateRecord>();
        wrapper.eq(null!=equipmentTagid&&"".equals(equipmentTagid), BasicDeviceVentilateRecord::getEquipmentTagid,equipmentTagid);
        List<BasicDeviceVentilateRecord> list = basicDeviceVentilateRecordService.list(wrapper);
        return R.SUCCESS(list);
    }



}
