package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasAlarm;
import com.unissoft.basic.service.BasicGasAlarmService;
import com.unissoft.common.R;
import com.unissoft.user.model.UserInfo;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 气体报警 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@RestController
@Api(tags = "气体报警")
@RequestMapping("/basic-gas-alarm")
public class BasicGasAlarmController {

    @Autowired
    private BasicGasAlarmService basicGasAlarmService;

    @ApiOperation(value = "气体报警查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="alarmType",value="分类名称或编号",paramType = "query",required=false),
    })
    public R<Page<BasicGasAlarm>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                          @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                         @RequestParam(name ="alarmType",required=false) String alarmType) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicGasAlarm> page = new Page<>(currentPage,pageSize);
        Page<BasicGasAlarm> BasicGasAlarm = basicGasAlarmService.selectBasicGasAlarm(alarmType, page);
        return R.SUCCESS(BasicGasAlarm);
    }

    @RequestMapping(value = "/insertBasicGasAlarm",method = RequestMethod.PUT)
    @ApiOperation("新增气体报警")
    public R<BasicGasAlarm> insertDailySelfCheck(@RequestBody@ApiParam(name = "BasicGasAlarm对象",value ="",required = true ) BasicGasAlarm basicGasAlarm){
        try {
           /* UserInfo currUser = UserUtils.getCurrUser();
            basicGasAlarm.setCreateFields(currUser);*/
            basicGasAlarm.setId(UUID.randomUUID().toString());
            basicGasAlarmService.save(basicGasAlarm);
            return R.SUCCESS(basicGasAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/updateBasicGasAlarm",method = RequestMethod.PUT)
    @ApiOperation("修改气体报警")
    public R<BasicGasAlarm> updateInspectTask(@RequestBody BasicGasAlarm basicGasAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicGasAlarmService.updateById(basicGasAlarm);
            return R.SUCCESS(basicGasAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/deleteBasicGasAlarm",method = RequestMethod.PUT)
    @ApiOperation("删除气体报警")
    public R<BasicGasAlarm> deleteInspectTask(@RequestBody BasicGasAlarm basicGasAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicGasAlarmService.removeById(basicGasAlarm);
            return R.SUCCESS(basicGasAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }


}
