package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasAlarm;
import com.unissoft.basic.model.BasicGasTightnessAlarm;
import com.unissoft.basic.service.BasicGasAlarmService;
import com.unissoft.basic.service.BasicGasTightnessAlarmService;
import com.unissoft.common.R;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 气密性报警 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@RestController
@Api(tags = "气密性报警")
@RequestMapping("/basic-gas-tightness-alarm")
public class BasicGasTightnessAlarmController {

    @Autowired
    private BasicGasTightnessAlarmService basicGasTightnessAlarmService;

    @ApiOperation(value = "气密性报警查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="alarmType",value="分类名称或编号",paramType = "query",required=false),
    })
    public R<Page<BasicGasTightnessAlarm>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                                  @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                                  @RequestParam(name ="alarmType",required=false) String alarmType) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicGasTightnessAlarm> page = new Page<>(currentPage,pageSize);
        Page<BasicGasTightnessAlarm> BasicGasTightnessAlarm = basicGasTightnessAlarmService.selectBasicGasTightnessAlarm(alarmType, page);
        return R.SUCCESS(BasicGasTightnessAlarm);
    }

    @RequestMapping(value = "/insertBasicGasTightnessAlarm",method = RequestMethod.PUT)
    @ApiOperation("新增气密性报警")
    public R<BasicGasTightnessAlarm> insertBasicGasTightnessAlarm(@RequestBody@ApiParam(name = "BasicGasTightnessAlarm对象",value ="",required = true ) BasicGasTightnessAlarm basicGasTightnessAlarm){
        try {
           /* UserInfo currUser = UserUtils.getCurrUser();
            basicGasAlarm.setCreateFields(currUser);*/
            basicGasTightnessAlarm.setId(UUID.randomUUID().toString());
            basicGasTightnessAlarmService.save(basicGasTightnessAlarm);
            return R.SUCCESS(basicGasTightnessAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/updateBasicGasAlarm",method = RequestMethod.PUT)
    @ApiOperation("修改气密性报警")
    public R<BasicGasTightnessAlarm> updateBasicGasTightnessAlarm(@RequestBody BasicGasTightnessAlarm basicGasTightnessAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicGasTightnessAlarmService.updateById(basicGasTightnessAlarm);
            return R.SUCCESS(basicGasTightnessAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }
    @RequestMapping(value = "/deleteBasicGasTightnessAlarm",method = RequestMethod.PUT)
    @ApiOperation("删除气密性报警")
    public R<BasicGasTightnessAlarm> deleteBasicGasTightnessAlarm(@RequestBody BasicGasTightnessAlarm basicGasTightnessAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicGasTightnessAlarmService.removeById(basicGasTightnessAlarm);
            return R.SUCCESS(basicGasTightnessAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }


}
