package com.unissoft.basic.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.unissoft.basic.model.*;
import com.unissoft.basic.service.BasicDeviceControlElseService;
import com.unissoft.basic.service.BasicDeviceControlHeatService;
import com.unissoft.basic.service.BasicDeviceControlIlluminationService;
import com.unissoft.basic.service.BasicDeviceControlVentilateService;
import com.unissoft.utils.Util;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 图形统计 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-04-01
 */

@RestController
@RequestMapping("/basic-graphic-statistics")
public class BasicGraphicStatisticsConteoller {

    @Autowired
    private BasicDeviceControlHeatService basicDeviceControlHeatService;
    @Autowired
    private BasicDeviceControlElseService basicDeviceControlElseService;
    @Autowired
    private BasicDeviceControlIlluminationService basicDeviceControlIlluminationService;
    @Autowired
    private BasicDeviceControlVentilateService basicDeviceControlVentilateService;


    @GetMapping(value = "/FacilityNumberProportion")
    @ApiOperation("各类型设备数量占比")
    public Map<String, BasicGraphicStatistics> UsageRateCountBasicDeviceControlHeat(){
        Map<String,BasicGraphicStatistics> map = new HashMap<>();
        LambdaQueryWrapper<BasicDeviceControlHeat> heatwrapper = new LambdaQueryWrapper<>();
        BasicGraphicStatistics basicGraphicStatistics=new BasicGraphicStatistics();
        BasicGraphicStatistics basicelse=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlIllumination=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlVentilate=new BasicGraphicStatistics();
        int basicDeviceControlHeatcount=basicDeviceControlHeatService.count(heatwrapper);//控温
        basicGraphicStatistics.setType("控温设备");
        basicGraphicStatistics.setCount(basicDeviceControlHeatcount);
        LambdaQueryWrapper<BasicDeviceControlElse> elsewrapper = new LambdaQueryWrapper<>();
        int basicDeviceControlElsecount=basicDeviceControlElseService.count(elsewrapper);//其他
        basicelse.setType("其他设备");
        basicelse.setCount(basicDeviceControlElsecount);

        LambdaQueryWrapper<BasicDeviceControlIllumination> illuminationwrapper = new LambdaQueryWrapper<>();
        int basicDeviceControlIlluminationcount=basicDeviceControlIlluminationService.count(illuminationwrapper);//照明
        basicDeviceControlIllumination.setType("照明设备");
        basicDeviceControlIllumination.setCount(basicDeviceControlIlluminationcount);

        LambdaQueryWrapper<BasicDeviceControlVentilate> ventilatewrapper = new LambdaQueryWrapper<>();
        int basicDeviceControlVentilatecount=basicDeviceControlVentilateService.count(ventilatewrapper);//通风
        basicDeviceControlVentilate.setType("通风设备");
        basicDeviceControlVentilate.setCount(basicDeviceControlVentilatecount);


        int sum =basicDeviceControlHeatcount+basicDeviceControlElsecount+basicDeviceControlIlluminationcount+basicDeviceControlVentilatecount;



        basicGraphicStatistics.setProportion(Util.percent(basicDeviceControlHeatcount,sum));
        basicelse.setProportion(Util.percent(basicDeviceControlElsecount,sum));
        basicDeviceControlIllumination.setProportion(Util.percent(basicDeviceControlIlluminationcount,sum));
        basicDeviceControlVentilate.setProportion(Util.percent(basicDeviceControlVentilatecount,sum));
        map.put(basicGraphicStatistics.getType(),basicGraphicStatistics);
        map.put(basicelse.getType(),basicelse);
        map.put(basicDeviceControlIllumination.getType(),basicDeviceControlIllumination);
        map.put(basicDeviceControlVentilate.getType(),basicDeviceControlVentilate);
        return map;

    }

    @GetMapping(value = "/GiveProportionProportion")
    @ApiOperation("各类型设备报警占比")
    public Map<String, BasicGraphicStatistics> GiveProportionBasicDeviceControlHeat(){
        Map<String,BasicGraphicStatistics> map = new HashMap<>();
        LambdaQueryWrapper<BasicDeviceControlHeat> heatwrapper = new LambdaQueryWrapper<>();
        heatwrapper.eq(BasicDeviceControlHeat::getEquipmentStatus,0);
        BasicGraphicStatistics basicGraphicStatistics=new BasicGraphicStatistics();
        BasicGraphicStatistics basicelse=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlIllumination=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlVentilate=new BasicGraphicStatistics();
        int basicDeviceControlHeatcount=basicDeviceControlHeatService.count(heatwrapper);//控温
        basicGraphicStatistics.setType("控温设备");
        basicGraphicStatistics.setCount(basicDeviceControlHeatcount);
        LambdaQueryWrapper<BasicDeviceControlElse> elsewrapper = new LambdaQueryWrapper<>();
        elsewrapper.eq(BasicDeviceControlElse::getEquipmentStatus,0);
        int basicDeviceControlElsecount=basicDeviceControlElseService.count(elsewrapper);//其他
        basicelse.setType("其他设备");
        basicelse.setCount(basicDeviceControlElsecount);

        LambdaQueryWrapper<BasicDeviceControlIllumination> illuminationwrapper = new LambdaQueryWrapper<>();
        illuminationwrapper.eq(BasicDeviceControlIllumination::getEquipmentStatus,0);
        int basicDeviceControlIlluminationcount=basicDeviceControlIlluminationService.count(illuminationwrapper);//照明
        basicDeviceControlIllumination.setType("照明设备");
        basicDeviceControlIllumination.setCount(basicDeviceControlIlluminationcount);

        LambdaQueryWrapper<BasicDeviceControlVentilate> ventilatewrapper = new LambdaQueryWrapper<>();
        ventilatewrapper.eq(BasicDeviceControlVentilate::getEquipmentStatus,0);
        int basicDeviceControlVentilatecount=basicDeviceControlVentilateService.count(ventilatewrapper);//通风
        basicDeviceControlVentilate.setType("通风设备");
        basicDeviceControlVentilate.setCount(basicDeviceControlVentilatecount);


        int sum =basicDeviceControlHeatcount+basicDeviceControlElsecount+basicDeviceControlIlluminationcount+basicDeviceControlVentilatecount;



        basicGraphicStatistics.setProportion(Util.percent(basicDeviceControlHeatcount,sum));
        basicelse.setProportion(Util.percent(basicDeviceControlElsecount,sum));
        basicDeviceControlIllumination.setProportion(Util.percent(basicDeviceControlIlluminationcount,sum));
        basicDeviceControlVentilate.setProportion(Util.percent(basicDeviceControlVentilatecount,sum));
        map.put(basicGraphicStatistics.getType(),basicGraphicStatistics);
        map.put(basicelse.getType(),basicelse);
        map.put(basicDeviceControlIllumination.getType(),basicDeviceControlIllumination);
        map.put(basicDeviceControlVentilate.getType(),basicDeviceControlVentilate);
        return map;

    }
    @GetMapping(value = "/AllCountBasicDeviceControl")
    @ApiOperation("设备总量(个)")
    @ApiImplicitParams({
            @ApiImplicitParam(name="startDate",value="开始时间",paramType = "query",required=false),
            @ApiImplicitParam(name="startDate",value="结束时间",paramType = "query",required=false),

    })
    public int AllCountBasicDeviceControl(@RequestParam(name = "startDate",required = false)String startDate,
                                          @RequestParam(name = "endDate",required = false) String endDate){
        //其他
        LambdaQueryWrapper<BasicDeviceControlElse> qtwrapper = new LambdaQueryWrapper<>();
        qtwrapper.ge(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,endDate);
         int qt=basicDeviceControlElseService.count(qtwrapper);
        //控温
        LambdaQueryWrapper<BasicDeviceControlHeat> kwwrapper = new LambdaQueryWrapper<>();
        int kw=basicDeviceControlHeatService.count();
        //照明
        LambdaQueryWrapper<BasicDeviceControlIllumination> zmwrapper = new LambdaQueryWrapper<>();
        int zm=basicDeviceControlIlluminationService.count();
        //通风
        LambdaQueryWrapper<BasicDeviceControlVentilate> tfwrapper = new LambdaQueryWrapper<>();
        int tf=basicDeviceControlVentilateService.count();

        return qt+kw+zm+tf;
    }
    @GetMapping(value = "/NormalCountBasicDeviceControl")
    @ApiOperation("正常设备(个)")
    @ApiImplicitParams({
            @ApiImplicitParam(name="startDate",value="开始时间",paramType = "query",required=false),
            @ApiImplicitParam(name="startDate",value="结束时间",paramType = "query",required=false),

    })
    public int NormalCountBasicDeviceControl(@RequestParam(name = "startDate",required = false)String startDate,
                                          @RequestParam(name = "endDate",required = false) String endDate){
        //其他
        LambdaQueryWrapper<BasicDeviceControlElse> qtwrapper = new LambdaQueryWrapper<>();
        qtwrapper.ge(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,endDate);
        qtwrapper.eq(BasicDeviceControlElse::getEquipmentDeviceState,0);
        int qt=basicDeviceControlElseService.count(qtwrapper);
        //控温
        LambdaQueryWrapper<BasicDeviceControlHeat> kwwrapper = new LambdaQueryWrapper<>();
        kwwrapper.ge(null!=startDate,BasicDeviceControlHeat::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlHeat::getEquipmentOpeningTime,endDate);
        kwwrapper.eq(BasicDeviceControlHeat::getEquipmentDeviceState,0);
        int kw=basicDeviceControlHeatService.count(kwwrapper);
        //照明
        LambdaQueryWrapper<BasicDeviceControlIllumination> zmwrapper = new LambdaQueryWrapper<>();
        zmwrapper.ge(null!=startDate,BasicDeviceControlIllumination::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlIllumination::getEquipmentOpeningTime,endDate);
        zmwrapper.eq(BasicDeviceControlIllumination::getEquipmentDeviceState,0);
        int zm=basicDeviceControlIlluminationService.count(zmwrapper);
        //通风
        LambdaQueryWrapper<BasicDeviceControlVentilate> tfwrapper = new LambdaQueryWrapper<>();
        tfwrapper.ge(null!=startDate,BasicDeviceControlVentilate::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlVentilate::getEquipmentOpeningTime,endDate);
        tfwrapper.eq(BasicDeviceControlVentilate::getEquipmentDeviceState,0);
        int tf=basicDeviceControlVentilateService.count(tfwrapper);

        return qt+kw+zm+tf;
    }

    @GetMapping(value = "/FaultCountBasicDeviceControl")
    @ApiOperation("故障设备(个)")
    @ApiImplicitParams({
            @ApiImplicitParam(name="startDate",value="开始时间",paramType = "query",required=false),
            @ApiImplicitParam(name="startDate",value="结束时间",paramType = "query",required=false),

    })
    public int FaultCountBasicDeviceControl(@RequestParam(name = "startDate",required = false)String startDate,
                                             @RequestParam(name = "endDate",required = false) String endDate){
        //其他
        LambdaQueryWrapper<BasicDeviceControlElse> qtwrapper = new LambdaQueryWrapper<>();
        qtwrapper.ge(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlElse::getEquipmentOpeningTime,endDate);
        qtwrapper.eq(BasicDeviceControlElse::getEquipmentDeviceState,3);
        int qt=basicDeviceControlElseService.count(qtwrapper);
        //控温
        LambdaQueryWrapper<BasicDeviceControlHeat> kwwrapper = new LambdaQueryWrapper<>();
        kwwrapper.ge(null!=startDate,BasicDeviceControlHeat::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlHeat::getEquipmentOpeningTime,endDate);
        kwwrapper.eq(BasicDeviceControlHeat::getEquipmentDeviceState,3);
        int kw=basicDeviceControlHeatService.count(kwwrapper);
        //照明
        LambdaQueryWrapper<BasicDeviceControlIllumination> zmwrapper = new LambdaQueryWrapper<>();
        zmwrapper.ge(null!=startDate,BasicDeviceControlIllumination::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlIllumination::getEquipmentOpeningTime,endDate);
        zmwrapper.eq(BasicDeviceControlIllumination::getEquipmentDeviceState,3);
        int zm=basicDeviceControlIlluminationService.count(zmwrapper);
        //通风
        LambdaQueryWrapper<BasicDeviceControlVentilate> tfwrapper = new LambdaQueryWrapper<>();
        tfwrapper.ge(null!=startDate,BasicDeviceControlVentilate::getEquipmentOpeningTime,startDate).le(null!=startDate,BasicDeviceControlVentilate::getEquipmentOpeningTime,endDate);
        tfwrapper.eq(BasicDeviceControlVentilate::getEquipmentDeviceState,3);
        int tf=basicDeviceControlVentilateService.count(tfwrapper);

        return qt+kw+zm+tf;
    }





    @GetMapping(value = "/FacilityNormalAnalysis")
    @ApiOperation("设备正常率分析")
    @ApiImplicitParams({
            @ApiImplicitParam(name="startDate",value="开始时间",paramType = "query",required=false),
            @ApiImplicitParam(name="startDate",value="结束时间",paramType = "query",required=false),

    })
    public Map<String, BasicGraphicStatistics> FacilityNormalAnalysis(@RequestParam(name = "startDate",required = false)String startDate,
                                                                      @RequestParam(name = "endDate",required = false) String endDate){
        Map<String,BasicGraphicStatistics> map = new HashMap<>();
        LambdaQueryWrapper<BasicDeviceControlHeat> heatwrapper = new LambdaQueryWrapper<>();
        heatwrapper.eq(BasicDeviceControlHeat::getEquipmentDeviceState,0);
        BasicGraphicStatistics basicGraphicStatistics=new BasicGraphicStatistics();
        BasicGraphicStatistics basicelse=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlIllumination=new BasicGraphicStatistics();
        BasicGraphicStatistics basicDeviceControlVentilate=new BasicGraphicStatistics();
        int basicDeviceControlHeatcount=basicDeviceControlHeatService.count(heatwrapper);//控温
        basicGraphicStatistics.setType("控温设备");
        basicGraphicStatistics.setCount(basicDeviceControlHeatcount);
        LambdaQueryWrapper<BasicDeviceControlElse> elsewrapper = new LambdaQueryWrapper<>();
        elsewrapper.eq(BasicDeviceControlElse::getEquipmentDeviceState,0);
        int basicDeviceControlElsecount=basicDeviceControlElseService.count(elsewrapper);//其他
        basicelse.setType("其他设备");
        basicelse.setCount(basicDeviceControlElsecount);

        LambdaQueryWrapper<BasicDeviceControlIllumination> illuminationwrapper = new LambdaQueryWrapper<>();
        illuminationwrapper.eq(BasicDeviceControlIllumination::getEquipmentDeviceState,0);
        int basicDeviceControlIlluminationcount=basicDeviceControlIlluminationService.count(illuminationwrapper);//照明
        basicDeviceControlIllumination.setType("照明设备");
        basicDeviceControlIllumination.setCount(basicDeviceControlIlluminationcount);

        LambdaQueryWrapper<BasicDeviceControlVentilate> ventilatewrapper = new LambdaQueryWrapper<>();
        ventilatewrapper.eq(BasicDeviceControlVentilate::getEquipmentDeviceState,0);
        int basicDeviceControlVentilatecount=basicDeviceControlVentilateService.count(ventilatewrapper);//通风
        basicDeviceControlVentilate.setType("通风设备");
        basicDeviceControlVentilate.setCount(basicDeviceControlVentilatecount);


        int sum =basicDeviceControlHeatcount+basicDeviceControlElsecount+basicDeviceControlIlluminationcount+basicDeviceControlVentilatecount;



        basicGraphicStatistics.setProportion(Util.percent(basicDeviceControlHeatcount,sum));
        basicelse.setProportion(Util.percent(basicDeviceControlElsecount,sum));
        basicDeviceControlIllumination.setProportion(Util.percent(basicDeviceControlIlluminationcount,sum));
        basicDeviceControlVentilate.setProportion(Util.percent(basicDeviceControlVentilatecount,sum));
        map.put(basicGraphicStatistics.getType(),basicGraphicStatistics);
        map.put(basicelse.getType(),basicelse);
        map.put(basicDeviceControlIllumination.getType(),basicDeviceControlIllumination);
        map.put(basicDeviceControlVentilate.getType(),basicDeviceControlVentilate);
        return map;

    }


}
