package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasTightnessAlarm;
import com.unissoft.basic.model.BasicInsectAlarm;
import com.unissoft.basic.service.BasicGasTightnessAlarmService;
import com.unissoft.basic.service.BasicInsectAlarmService;
import com.unissoft.common.R;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 虫情报警 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@RestController
@Api(tags = "虫情报警")
@RequestMapping("/basic-insect-alarm")
public class BasicInsectAlarmController {

    @Autowired
    private BasicInsectAlarmService basicInsectAlarmService;

    @ApiOperation(value = "虫情报警查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="alarmType",value="分类名称或编号",paramType = "query",required=false),
    })
    public R<Page<BasicInsectAlarm>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                                  @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                                  @RequestParam(name ="alarmType",required=false) String alarmType) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicInsectAlarm> page = new Page<>(currentPage,pageSize);
        Page<BasicInsectAlarm> BasicInsectAlarm = basicInsectAlarmService.selectBasicInsectAlarm(alarmType, page);
        return R.SUCCESS(BasicInsectAlarm);
    }

    @RequestMapping(value = "/insertBasicInsectAlarm",method = RequestMethod.POST)
    @ApiOperation("新增虫情报警")
    public R<BasicInsectAlarm> insertBasicInsectAlarm(@RequestBody@ApiParam(name = "BasicInsectAlarm对象",value ="",required = true ) BasicInsectAlarm basicInsectAlarm){
        try {
           /* UserInfo currUser = UserUtils.getCurrUser();
            basicGasAlarm.setCreateFields(currUser);*/
            basicInsectAlarm.setId(UUID.randomUUID().toString());
            basicInsectAlarmService.save(basicInsectAlarm);
            return R.SUCCESS(basicInsectAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/updateBasicInsectAlarm",method = RequestMethod.PUT)
    @ApiOperation("修改虫情报警")
    public R<BasicInsectAlarm> updateBasicInsectAlarm(@RequestBody BasicInsectAlarm basicInsectAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicInsectAlarmService.updateById(basicInsectAlarm);
            return R.SUCCESS(basicInsectAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/deleteBasicInsectAlarm",method = RequestMethod.PUT)
    @ApiOperation("删除虫情报警")
    public R<BasicInsectAlarm> deleteBasicInsectAlarm(@RequestBody BasicInsectAlarm basicInsectAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicInsectAlarmService.removeById(basicInsectAlarm);
            return R.SUCCESS(basicInsectAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }
}
