package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicKgceAlarm;
import com.unissoft.basic.service.BasicKgceAlarmService;
import com.unissoft.common.R;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 能耗报警 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@RestController
@Api(tags = "能耗报警")
@RequestMapping("/basic-kgce-alarm")
public class BasicKgceAlarmController {


    @Autowired
    private BasicKgceAlarmService basicKgceAlarmService;

    @ApiOperation(value = "能耗报警查询")
    @GetMapping("/getAll")
    @ApiImplicitParams({
            @ApiImplicitParam(name="currentPage",value="当前页",paramType = "query",required=false),
            @ApiImplicitParam(name="pageSize",value="当前页记录数",paramType = "query",required=false),
            @ApiImplicitParam(name="alarmType",value="分类名称或编号",paramType = "query",required=false),
    })
    public R<Page<BasicKgceAlarm>> getAll(@RequestParam(name ="currentPage",required=false) Integer currentPage,
                                          @RequestParam(name ="pageSize",required=false) Integer pageSize,
                                          @RequestParam(name ="alarmType",required=false) String alarmType) {

        currentPage = currentPage==null ? 1: currentPage;
        pageSize = pageSize==null ? 10: pageSize;
        Page<BasicKgceAlarm> page = new Page<>(currentPage,pageSize);
        Page<BasicKgceAlarm> basicKgceAlarm = basicKgceAlarmService.selectBasicKgceAlarm(alarmType, page);
        return R.SUCCESS(basicKgceAlarm);
    }

    @RequestMapping(value = "/insertBasicKgceAlarm",method = RequestMethod.PUT)
    @ApiOperation("能耗报警新增")
    public R<BasicKgceAlarm> insertBasicKgceAlarm(@RequestBody@ApiParam(name = "BasicKgceAlarm对象",value ="",required = true ) BasicKgceAlarm basicKgceAlarm){
        try {
           /* UserInfo currUser = UserUtils.getCurrUser();
            basicGasAlarm.setCreateFields(currUser);*/
            basicKgceAlarm.setId(UUID.randomUUID().toString());
            basicKgceAlarmService.save(basicKgceAlarm);
            return R.SUCCESS(basicKgceAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/updateBasicKgceAlarm",method = RequestMethod.PUT)
    @ApiOperation("能耗报警修改")
    public R<BasicKgceAlarm> updateBasicKgceAlarm(@RequestBody BasicKgceAlarm basicKgceAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicKgceAlarmService.updateById(basicKgceAlarm);
            return R.SUCCESS(basicKgceAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

    @RequestMapping(value = "/deleteBasicKgceAlarm",method = RequestMethod.PUT)
    @ApiOperation("能耗报警删除")
    public R<BasicKgceAlarm> deleteBasicKgceAlarm(@RequestBody BasicKgceAlarm basicKgceAlarm){
        try {
           /* SysUserVO currUser = UserUtils.getCurrUser();
            inspectProj.setUpdateFields(currUser);*/
            basicKgceAlarmService.removeById(basicKgceAlarm);
            return R.SUCCESS(basicKgceAlarm);
        }catch (Exception e) {
            return R.ERROR(e.getMessage());
        }
    }

}
