package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicRemoteProtocol;
import com.unissoft.basic.service.BasicRemoteProtocolService;
import com.unissoft.common.DateUtils;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 通讯协议表 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
@Api(tags = "协议管理")
@RestController
@RequestMapping("/basic-remote-protocol")
public class BasicRemoteProtocolController {
    @Resource
    private BasicRemoteProtocolService remoteProtocolService;

    @PostMapping("/save")
    @ApiOperation(value = "新增", notes = "新增一条数据,id,buildTime自动填充")
    public ResultView save(@RequestBody BasicRemoteProtocol remoteProtocol) {
        remoteProtocol.setId(UUID.randomUUID().toString());
        remoteProtocol.setBuildTime(DateUtils.getDate());
        boolean save = remoteProtocolService.save(remoteProtocol);
        if (save)
            return ResultView.success();
        else
            return ResultView.error();
    }

    @PostMapping("/update")
    @ApiOperation(value = "修改", notes = "根据id修改")
    public ResultView update(@RequestBody BasicRemoteProtocol remoteProtocol) {
        boolean save = remoteProtocolService.updateById(remoteProtocol);
        if (save)
            return ResultView.success();
        else
            return ResultView.error();
    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "删除", notes = "根据id删除")
    public ResultView getByIdForUserDelete(@PathVariable String id) {
        if (remoteProtocolService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }

    @PostMapping("/getPageList")
    @ApiOperation(value = "查询分页列表", notes = "{\"pageIndex\":1,\"pageSize\":10,\"condition\":\"{\\\"protocolType\\\":\\\"mqtt\\\",\\\"protocolQos\\\": 0}\"}")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicRemoteProtocol> pageList = remoteProtocolService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

}
