package com.unissoft.basic.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicWarrantyPreserveService;
import com.unissoft.common.MyConstant;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

/**
 * <p>
 * 质保管理和保养管理 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-15
 */
@RestController
@RequestMapping("/basic-warranty-preserve")
public class BasicWarrantyPreserveController {
    private BasicWarrantyPreserveService warrantyPreserveService;

    @Autowired
    public void setBasicWarrantyPreserveController(BasicWarrantyPreserveService warrantyPreserveService) {
        this.warrantyPreserveService = warrantyPreserveService;
    }

    @ApiOperation(value = "质保-保养", notes = "根据id查询")
    @GetMapping("/authority/getWarrantyPreserveById/{id}")
    public ResultView getWarrantyPreserveById(@PathVariable Long id) {
        BasicWarrantyPreserve warrantyPreserve = warrantyPreserveService.getById(id);
        return ResultView.success(warrantyPreserve);
    }

//    @GetMapping("/authority/getWarrantyPreserveList")
//    @ApiOperation(value = "质保-保养", notes = "查询list")
//    public ResultView getWarrantyPreserveList(@PathParam("name") String name, @PathParam("code") String code) {
//        List<BasicWarrantyPreserve> list = warrantyPreserveService.getWarrantyPreserveList(name, code);
//        return ResultView.success(list);
//    }


    @PostMapping("/getWarrantyPreservePage")
    @ApiOperation(value = "质保-保养", notes = "分页列表")
    public ResultView getWarrantyPreservePage(@RequestBody PageParam pageParam) {
        try {
            IPage<BasicWarrantyPreserve> page = warrantyPreserveService.getWarrantyPreservePage(pageParam);
            return ResultView.success(page);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @PostMapping("/save")
    @ApiOperation(value = "质保-保养", notes = "新增保存")
    public ResultView saveWarrantyPreserve(@RequestBody BasicWarrantyPreserve basicWarrantyPreserve) {
        basicWarrantyPreserve.setId(UUID.randomUUID().toString());
        boolean save = warrantyPreserveService.save(basicWarrantyPreserve);
        if (save){
            return ResultView.success();
        }else{
            return ResultView.error();
        }
    }


    @PostMapping("/update")
    @ApiOperation(value = "质保-保养", notes = "根据id更新")
    public ResultView updateWarrantyPreserve(@RequestBody BasicWarrantyPreserve basicWarrantyPreserve) {
        boolean b = warrantyPreserveService.updateById(basicWarrantyPreserve);
        if (b){
            return ResultView.success();
        }else{
            return ResultView.error();
        }

    }

    @GetMapping("/deleteById/{id}")
    @ApiOperation(value = "质保-保养", notes = "根据id删除")
    public ResultView getByIdForWarrantyPreserveDelete(@PathVariable String id) {
        if (warrantyPreserveService.removeById(id)) {
            return ResultView.success();
        }
        return ResultView.error(MyConstant.ID_NULL);
    }
}
