package com.unissoft.basic.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.basic.model.BasicTimingTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 定时任务设置表 Mapper 接口
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
@SuppressWarnings("all")
public interface BasicTimingTaskMapper extends BaseMapper<BasicTimingTask> {

    List<BasicTimingTask> findByJobStatus(@Param("ordinal") int ordinal);

    List<String> getByDeviceName(String classifyName);

    List<Map<String,Object>> getConfigFood(List<String> list);

    List<Map<String,Object>> getConfigGas(List<String> list);

    List<Map<String,Object>> getConfigNitrogen(List<String> list);

    List<Map<String,Object>> getConfigAtmosphere(List<String> list);

    List<Map<String,Object>> getConfigPestis(List<String> list);

    List<Map<String,Object>> getConfigEnergy(List<String> list);

    List<Map<String,Object>> getConfigMeteorological(List<String> list);

    List<Map<String,Object>> getConfigAirtightness(List<String> list);

    List<Map<String,Object>> getConfigWind(List<String> list);

    List<Map<String,Object>> getConfigLighting(List<String> list);

    List<Map<String,Object>> getConfigTemperature(List<String> list);

    IPage<BasicTimingTask> getPageList(IPage<BasicTimingTask> page, @Param("ew") QueryWrapper<BasicTimingTask> qw);
}
