package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备配置-设备分类
 * </p>
 *
 * @author root
 * @since 2023-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_classify")
@ApiModel(value="BasicDeviceClassify对象", description="设备配置-设备分类")
public class BasicDeviceClassify implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "分类标识")
    @TableField("classify_identifying")
    private String classifyIdentifying;

    @ApiModelProperty(value = "分类名称")
    @TableField("classify_name")
    private String classifyName;

    @ApiModelProperty(value = "父节点id(默认为顶级)")
    @TableField("parent_id")
    private String parentId;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_userid")
    private String createUserid;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    @TableField("update_userid")
    private String updateUserid;

    @ApiModelProperty(value = "删除人id")
    @TableField("delete_userid")
    private String deleteUserid;

    @ApiModelProperty(value = "删除时间")
    @TableField("delete_time")
    private Date deleteTime;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;

    // 业务字段,树型子集菜单
    @TableField(exist = false)
    private List<BasicDeviceClassify> children;


}
