package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备配置-设备分类信息明细
 * </p>
 *
 * @author root
 * @since 2023-03-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_classify_detail")
@ApiModel(value="BasicDeviceClassifyDetail对象", description="设备配置-设备分类信息明细")
public class BasicDeviceClassifyDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private String id;

    @ApiModelProperty(value = "分类标识")
    @TableField("classify_identifying")
    private String classifyIdentifying;

    @ApiModelProperty(value = "分类名称")
    @TableField("classify_name")
    private String classifyName;

    @ApiModelProperty(value = "分类路径")
    @TableField("classify_path")
    private String classifyPath;

    @ApiModelProperty(value = "资产图片")
    @TableField("property_img")
    private String propertyImg;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("house_name")
    private String houseName;

    @ApiModelProperty(value = "保养周期")
    @TableField("maintenance_period")
    private String maintenancePeriod;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_userid")
    private String createUserid;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    @TableField("update_userid")
    private String updateUserid;

    @ApiModelProperty(value = "删除人id")
    @TableField("delete_userid")
    private String deleteUserid;

    @ApiModelProperty(value = "删除时间")
    @TableField("delete_time")
    private Date deleteTime;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;


}
