package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备配置—气体
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_config_atmosphere")
@ApiModel(value="BasicDeviceConfigAtmosphere对象", description="设备配置—气体")
public class BasicDeviceConfigAtmosphere implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "气体设备ID")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "设备编号")
    @TableField("device_number")
    private String deviceNumber;

    @ApiModelProperty(value = "设备名称")
    @TableField("device_name")
    private String deviceName;

    @ApiModelProperty(value = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    @ApiModelProperty(value = "设备类型")
    @TableField("device_type")
    private String deviceType;

    @ApiModelProperty(value = "设备标签")
    @TableField("device_label")
    private String deviceLabel;

    @ApiModelProperty(value = "所属仓房")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "设备状态(1：设备异常，2：设备预警，3：设备故障)")
    @TableField("device_status")
    private String deviceStatus;

    @ApiModelProperty(value = "最后上线时间")
    @TableField("last_seen_time")
    private Date lastSeenTime;

    @ApiModelProperty(value = "质保日期")
    @TableField("warranty_time")
    private Date warrantyTime;

    @ApiModelProperty(value = "安装点位")
    @TableField("install_point")
    private String installPoint;

    @ApiModelProperty(value = "设备详细地址")
    @TableField("device_address")
    private String deviceAddress;

    @ApiModelProperty(value = "站点编号")
    @TableField("site_number")
    private String siteNumber;

    @ApiModelProperty(value = "单位")
    @TableField("atmosphere_company")
    private String atmosphereCompany;

    @ApiModelProperty(value = "偏移值")
    @TableField("atmosphere_offset")
    private String atmosphereOffset;

    @ApiModelProperty(value = "0仓内/1仓外")
    @TableField("is_in")
    private String isIn;

    @ApiModelProperty(value = "流量")
    @TableField("atmosphere_flow")
    private String atmosphereFlow;

    @ApiModelProperty(value = "通道号")
    @TableField("channel_number")
    private String channelNumber;

    @ApiModelProperty(value = "通道检测结果")
    @TableField("channel_results")
    private String channelResults;

    @ApiModelProperty(value = "操作状态")
    @TableField("atmosphere_status")
    private String atmosphereStatus;

    @ApiModelProperty(value = "描述")
    @TableField("atmosphere_describe")
    private String atmosphereDescribe;

    @ApiModelProperty(value = "检测结果时间")
    @TableField("channel_results_time")
    private Date channelResultsTime;


}
