package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备配置-氮气
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_config_nitrogen")
@ApiModel(value="BasicDeviceConfigNitrogen对象", description="设备配置-氮气")
public class BasicDeviceConfigNitrogen implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "氮气设备ID")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "设备编号")
    @TableField("device_number")
    private String deviceNumber;

    @ApiModelProperty(value = "设备名称")
    @TableField("device_name")
    private String deviceName;

    @ApiModelProperty(value = "设备型号")
    @TableField("device_model")
    private String deviceModel;

    @ApiModelProperty(value = "设备类型")
    @TableField("device_type")
    private String deviceType;

    @ApiModelProperty(value = "设备标签")
    @TableField("device_label")
    private String deviceLabel;

    @ApiModelProperty(value = "所属仓房")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "设备状态(1：设备异常，2：设备预警，3：设备故障)")
    @TableField("device_status")
    private String deviceStatus;

    @ApiModelProperty(value = "最后上线时间")
    @TableField("last_seen_time")
    private Date lastSeenTime;

    @ApiModelProperty(value = "质保日期")
    @TableField("warranty_time")
    private Date warrantyTime;

    @ApiModelProperty(value = "安装点位")
    @TableField("install_point")
    private String installPoint;

    @ApiModelProperty(value = "设备详细地址")
    @TableField("device_address")
    private String deviceAddress;

    @ApiModelProperty(value = "站点编号")
    @TableField("site_number")
    private String siteNumber;

    @ApiModelProperty(value = "纯度")
    @TableField("nitrogen_purity")
    private String nitrogenPurity;

    @ApiModelProperty(value = "温度")
    @TableField("nitrogen_temperature")
    private String nitrogenTemperature;

    @ApiModelProperty(value = "压力")
    @TableField("nitrogen_pressure")
    private String nitrogenPressure;

    @ApiModelProperty(value = "流量")
    @TableField("nitrogen_flow")
    private String nitrogenFlow;

    @ApiModelProperty(value = "制氮机信号")
    @TableField("nitrogen_generator")
    private String nitrogenGenerator;

    @ApiModelProperty(value = "空压机信号")
    @TableField("air_compressor")
    private String airCompressor;

    @ApiModelProperty(value = "操作状态")
    @TableField("nitrogen_status")
    private String nitrogenStatus;

    @ApiModelProperty(value = "描述")
    @TableField("nitrogen_describe")
    private String nitrogenDescribe;


}
