package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 设备控制-控温设备
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_device_control_heat")
@ApiModel(value="BasicDeviceControlHeat对象", description="设备控制-控温设备")
public class BasicDeviceControlHeat implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private String id;

    @ApiModelProperty(value = "设备类型")
    @TableField("equipment_type")
    private String equipmentType;

    @ApiModelProperty(value = "设备名称")
    @TableField("equipment_name")
    private String equipmentName;


    @ApiModelProperty(value = "标签编号")
    @TableField("equipment_tagid")
    private String equipmentTagid;

    @ApiModelProperty(value = "耗电量")
    @TableField("power_consumption")
    private String powerConsumption;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "所在位置")
    @TableField("equipment_location")
    private String equipmentLocation;

    @ApiModelProperty(value = "状态(0：关闭，1：开启)")
    @TableField("equipment_status")
    private Integer equipmentStatus;

    @ApiModelProperty(value = "设备状态(0：设备正常，1：设备异常，2：设备预警，3：设备故障)")
    @TableField("equipment_device_state")
    private Integer equipmentDeviceState;

    @ApiModelProperty(value = "运行开启时间")
    @TableField("equipment_opening_time")
    private Date equipmentOpeningTime;

    @ApiModelProperty(value = "运行关闭时间")
    @TableField("equipment_off_time")
    private Date equipmentOffTime;

    @ApiModelProperty(value = "操作员id")
    @TableField("equipment_operatorid")
    private String equipmentOperatorid;

    @ApiModelProperty(value = "操作员")
    @TableField("equipment_operator")
    private String equipmentOperator;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_userid")
    private String createUserid;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    @TableField("update_userid")
    private String updateUserid;

    @ApiModelProperty(value = "删除人id")
    @TableField("delete_userid")
    private String deleteUserid;

    @ApiModelProperty(value = "删除时间")
    @TableField("delete_time")
    private Date deleteTime;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;


}
