package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 字典表
 * </p>
 *
 * @author root
 * @since 2023-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_enum")
@ApiModel(value="BasicEnum对象", description="字典表")
public class BasicEnum implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "枚举编码")
    @TableField("enum_code")
    private String enumCode;

    @ApiModelProperty(value = "枚举名称")
    @TableField("enum_name")
    private String enumName;

    @ApiModelProperty(value = "国际编码")
    @TableField("international_code")
    private String internationalCode;

    @ApiModelProperty(value = "父节点枚举编码")
    @TableField("parent_id")
    private String parentId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    // 业务字段,树型子集菜单
    @TableField(exist = false)
    private List<BasicEnum> children;


}
