package com.unissoft.basic.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 气密性报警
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_gas_tightness_alarm")
@ApiModel(value="BasicGasTightnessAlarm对象", description="气密性报警")
public class BasicGasTightnessAlarm implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "报警类型")
    @TableField("alarm_type")
    private String alarmType;

    @ApiModelProperty(value = "高限阈值（Kpa）")
    @TableField("alarm_high_threshold")
    private BigDecimal alarmHighThreshold;

    @ApiModelProperty(value = "低限阈值（Kpa）")
    @TableField("alarm_low_threshold")
    private BigDecimal alarmLowThreshold;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "关联设备数")
    @TableField("alarm_count")
    private Integer alarmCount;

    @ApiModelProperty(value = "状态(0：关闭，1：开启)")
    @TableField("alarm_status")
    private Integer alarmStatus;

    @ApiModelProperty(value = "创建人id")
    @TableField("create_userid")
    private String createUserid;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新人id")
    @TableField("update_userid")
    private String updateUserid;

    @ApiModelProperty(value = "删除人id")
    @TableField("delete_userid")
    private String deleteUserid;

    @ApiModelProperty(value = "删除时间")
    @TableField("delete_time")
    private Date deleteTime;

    @ApiModelProperty(value = "排序")
    @TableField("order_by")
    private Integer orderBy;

    @ApiModelProperty(value = "描述")
    @TableField("remark")
    private String remark;


}
