package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 通讯协议表
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_remote_protocol")
@ApiModel(value="BasicRemoteProtocol对象", description="通讯协议表")
public class BasicRemoteProtocol implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "协议类型编码")
    @TableField("protocol_type")
    private String protocolType;

    @ApiModelProperty(value = "通讯地址(mqtt消息主题,tcp ip)")
    @TableField("protocol_topic")
    private String protocolTopic;

    @ApiModelProperty(value = "消息级别,默认0(0:至多一次,1:至少一次,2:确保只有一次),TCP 波特率")
    @TableField("protocol_qos")
    private Integer protocolQos;

    @ApiModelProperty(value = "创建人")
    @TableField("build_user")
    private String buildUser;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;

    @ApiModelProperty(value = "协议描述")
    @TableField("protocol_desc")
    private String protocolDesc;


}
