package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 定时任务设置表
 * </p>
 *
 * @author root
 * @since 2023-02-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_timing_task")
@ApiModel(value="BasicTimingTask对象", description="定时任务设置表")
public class BasicTimingTask implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "组织机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "任务名称")
    @TableField("task_name")
    private String taskName;

    @ApiModelProperty(value = "方法参数(关联设备查询对象集合)例():[{\"houseCode\":\"200101\",\"deviceLabel\":\"002\"}]")
    @TableField("method_params")
    private String methodParams;

    @ApiModelProperty(value = "计划检测时间描述(cron表达式描述)")
    @TableField("detection_desc")
    private String detectionDesc;

    @ApiModelProperty(value = "cron表达式")
    @TableField("detection_cron")
    private String detectionCron;

    @ApiModelProperty(value = "设备数量(执行定时任务的设备数量)")
    @TableField("eq_sum")
    private Integer eqSum;

    @ApiModelProperty(value = "创建用户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "定时任务beanName(java class name)")
    @TableField("bean_name")
    private String beanName;

    @ApiModelProperty(value = "方法名(java method)")
    @TableField("method_name")
    private String methodName;

    @ApiModelProperty(value = "是否开启(0关 1开)")
    @TableField("on_or_off")
    private Integer onOrOff;

    @ApiModelProperty(value = "前端选择框回显('objTime':{'week':[],'month':[],'timeType':'','time':'','dateTime':''})")
    @TableField("obj_time")
    private String objTime;

    @ApiModelProperty(value = "设备分类编码")
    @TableField("device_type")
    private String deviceType;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;

    @ApiModelProperty(value = "设备标签")
    @TableField("device_label")
    private String deviceLabel;

    //业务字段
    @TableField(exist = false)
    private String deviceName;// 设备分类名


}
