package com.unissoft.basic.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 质保管理和保养管理
 * </p>
 *
 * @author root
 * @since 2023-03-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basic_warranty_preserve")
@ApiModel(value="BasicWarrantyPreserve对象", description="质保管理和保养管理")
public class BasicWarrantyPreserve implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "质保/保养ID")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "设备ID")
    @TableField("device_id")
    private String deviceId;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "资产编号")
    @TableField("asset_no")
    private String assetNo;

    @ApiModelProperty(value = "资产名称")
    @TableField("asset_name")
    private String assetName;

    @ApiModelProperty(value = "状态")
    @TableField("asset_status")
    private String assetStatus;

    @ApiModelProperty(value = "质保日期")
    @TableField("warranty_time")
    private Date warrantyTime;

    @ApiModelProperty(value = "剩余时间")
    @TableField("surplus_time")
    private String surplusTime;

    @ApiModelProperty(value = "0是1否需要保养")
    @TableField("is_preserve")
    private String isPreserve;

    @ApiModelProperty(value = "保养到期日期")
    @TableField("preserve_time")
    private Date preserveTime;


}
