package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicRemoteProtocolMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigAirtightness;
import com.unissoft.basic.mapper.BasicDeviceConfigAirtightnessMapper;
import com.unissoft.basic.model.BasicRemoteProtocol;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigAirtightnessService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置—气密性 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigAirtightnessServiceImpl extends ServiceImpl<BasicDeviceConfigAirtightnessMapper, BasicDeviceConfigAirtightness> implements BasicDeviceConfigAirtightnessService {
    @Resource
    private BasicDeviceConfigAirtightnessMapper airtightnessMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigAirtightness> getAirtightnessPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigAirtightness> airtightnessQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigAirtightness airtightness = JSON.parseObject(condition, BasicDeviceConfigAirtightness.class);
            // 获取查询条件
            String deviceNumber = airtightness.getDeviceNumber();
            String deviceName = airtightness.getDeviceName();
            //Integer qos = airtightness.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                airtightnessQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                airtightnessQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        airtightnessQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigAirtightness> page = new Page<>(pageIndex, pageSize);
        return airtightnessMapper.selectPage(page, airtightnessQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigAirtightness airtightness) {
        airtightnessMapper.insert(airtightness);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(airtightness.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(airtightness.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(airtightness.getHouseCode());
        warrantyPreserve.setOrgCode(airtightness.getOrgCode());
        warrantyPreserve.setDeviceId(airtightness.getId());
        warrantyPreserve.setWarrantyTime(airtightness.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(airtightness.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
