package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigAtmosphereMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigAirtightness;
import com.unissoft.basic.model.BasicDeviceConfigAtmosphere;
import com.unissoft.basic.model.BasicDeviceConfigAtmosphere;
import com.unissoft.basic.mapper.BasicDeviceConfigAtmosphereMapper;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigAtmosphereService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置—气体 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigAtmosphereServiceImpl extends ServiceImpl<BasicDeviceConfigAtmosphereMapper, BasicDeviceConfigAtmosphere> implements BasicDeviceConfigAtmosphereService {
    @Resource
    private BasicDeviceConfigAtmosphereMapper atmosphereMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;

    @Override
    public IPage<BasicDeviceConfigAtmosphere> getAtmospherePage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigAtmosphere> atmosphereQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigAtmosphere atmosphere = JSON.parseObject(condition, BasicDeviceConfigAtmosphere.class);
            // 获取查询条件
            String deviceNumber = atmosphere.getDeviceNumber();
            String deviceName = atmosphere.getDeviceName();
            //Integer qos = atmosphere.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                atmosphereQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                atmosphereQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        atmosphereQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigAtmosphere> page = new Page<>(pageIndex, pageSize);
        return atmosphereMapper.selectPage(page, atmosphereQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigAtmosphere atmosphere) {
        atmosphereMapper.insert(atmosphere);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(atmosphere.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(atmosphere.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(atmosphere.getHouseCode());
        warrantyPreserve.setOrgCode(atmosphere.getOrgCode());
        warrantyPreserve.setDeviceId(atmosphere.getId());
        warrantyPreserve.setWarrantyTime(atmosphere.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(atmosphere.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
