package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigFoodMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigFood;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigFoodService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigFoodServiceImpl extends ServiceImpl<BasicDeviceConfigFoodMapper, BasicDeviceConfigFood> implements BasicDeviceConfigFoodService {
    @Resource
    private BasicDeviceConfigFoodMapper foodMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigFood> getFoodPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigFood> foodQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigFood food = JSON.parseObject(condition, BasicDeviceConfigFood.class);
            // 获取查询条件
            String deviceNumber = food.getDeviceNumber();
            String deviceName = food.getDeviceName();
            //Integer qos = food.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                foodQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                foodQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        foodQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigFood> page = new Page<>(pageIndex, pageSize);
        return foodMapper.selectPage(page, foodQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigFood food) {
        foodMapper.insert(food);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(food.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(food.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(food.getHouseCode());
        warrantyPreserve.setOrgCode(food.getOrgCode());
        warrantyPreserve.setDeviceId(food.getId());
        warrantyPreserve.setWarrantyTime(food.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(food.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
