package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigGasMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigGas;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigGasService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置-气调 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigGasServiceImpl extends ServiceImpl<BasicDeviceConfigGasMapper, BasicDeviceConfigGas> implements BasicDeviceConfigGasService {
    @Resource
    private BasicDeviceConfigGasMapper gasMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigGas> getGasPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigGas> gasQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigGas gas = JSON.parseObject(condition, BasicDeviceConfigGas.class);
            // 获取查询条件
            String deviceNumber = gas.getDeviceNumber();
            String deviceName = gas.getDeviceName();
            //Integer qos = gas.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                gasQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                gasQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        gasQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigGas> page = new Page<>(pageIndex, pageSize);
        return gasMapper.selectPage(page, gasQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigGas gas) {
        gasMapper.insert(gas);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(gas.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(gas.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(gas.getHouseCode());
        warrantyPreserve.setOrgCode(gas.getOrgCode());
        warrantyPreserve.setDeviceId(gas.getId());
        warrantyPreserve.setWarrantyTime(gas.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(gas.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
