package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigMeteorologicalMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigMeteorological;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigMeteorologicalService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置—气象 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigMeteorologicalServiceImpl extends ServiceImpl<BasicDeviceConfigMeteorologicalMapper, BasicDeviceConfigMeteorological> implements BasicDeviceConfigMeteorologicalService {
    @Resource
    private BasicDeviceConfigMeteorologicalMapper meteorologicalMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigMeteorological> getMeteorologicalPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigMeteorological> meteorologicalQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigMeteorological meteorological = JSON.parseObject(condition, BasicDeviceConfigMeteorological.class);
            // 获取查询条件
            String deviceNumber = meteorological.getDeviceNumber();
            String deviceName = meteorological.getDeviceName();
            //Integer qos = Meteorological.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                meteorologicalQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                meteorologicalQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        meteorologicalQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigMeteorological> page = new Page<>(pageIndex, pageSize);
        return meteorologicalMapper.selectPage(page, meteorologicalQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigMeteorological meteorological) {
        meteorologicalMapper.insert(meteorological);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(meteorological.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(meteorological.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(meteorological.getHouseCode());
        warrantyPreserve.setOrgCode(meteorological.getOrgCode());
        warrantyPreserve.setDeviceId(meteorological.getId());
        warrantyPreserve.setWarrantyTime(meteorological.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(meteorological.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
