package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigNitrogenMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigNitrogen;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigNitrogenService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置-氮气 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigNitrogenServiceImpl extends ServiceImpl<BasicDeviceConfigNitrogenMapper, BasicDeviceConfigNitrogen> implements BasicDeviceConfigNitrogenService {
    @Resource
    private BasicDeviceConfigNitrogenMapper nitrogenMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigNitrogen> getNitrogenPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigNitrogen> nitrogenQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigNitrogen nitrogen = JSON.parseObject(condition, BasicDeviceConfigNitrogen.class);
            // 获取查询条件
            String deviceNumber = nitrogen.getDeviceNumber();
            String deviceName = nitrogen.getDeviceName();
            //Integer qos = nitrogen.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                nitrogenQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                nitrogenQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        nitrogenQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigNitrogen> page = new Page<>(pageIndex, pageSize);
        return nitrogenMapper.selectPage(page, nitrogenQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigNitrogen nitrogen) {
        nitrogenMapper.insert(nitrogen);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(nitrogen.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(nitrogen.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(nitrogen.getHouseCode());
        warrantyPreserve.setOrgCode(nitrogen.getOrgCode());
        warrantyPreserve.setDeviceId(nitrogen.getId());
        warrantyPreserve.setWarrantyTime(nitrogen.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(nitrogen.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
