package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceConfigPestisMapper;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicDeviceConfigPestis;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicDeviceConfigPestisService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.UUID;

/**
 * <p>
 * 设备配置-虫害 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-02
 */
@Service
public class BasicDeviceConfigPestisServiceImpl extends ServiceImpl<BasicDeviceConfigPestisMapper, BasicDeviceConfigPestis> implements BasicDeviceConfigPestisService {
    @Resource
    private BasicDeviceConfigPestisMapper pestisMapper;
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicDeviceConfigPestis> getPestisPage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicDeviceConfigPestis> pestisQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicDeviceConfigPestis pestis = JSON.parseObject(condition, BasicDeviceConfigPestis.class);
            // 获取查询条件
            String deviceNumber = pestis.getDeviceNumber();
            String deviceName = pestis.getDeviceName();
            //Integer qos = pestis.getProtocolQos();
            if (!StringUtils.isEmpty(deviceNumber)){
                pestisQW.like("device_number", deviceNumber);
            }
            if (!StringUtils.isEmpty(deviceName)){
                pestisQW.like("device_name", deviceName);
                //ew.eq("protocol_qos", qos);
            }

        }
        pestisQW.orderByDesc("create_time");
        IPage<BasicDeviceConfigPestis> page = new Page<>(pageIndex, pageSize);
        return pestisMapper.selectPage(page, pestisQW);

    }

    @Override
    public void saveTwo(BasicDeviceConfigPestis pestis) {
        pestisMapper.insert(pestis);
        BasicWarrantyPreserve warrantyPreserve = new BasicWarrantyPreserve();
        warrantyPreserve.setId(UUID.randomUUID().toString());
        warrantyPreserve.setAssetName(pestis.getDeviceName());//资产名称
        warrantyPreserve.setAssetNo(pestis.getDeviceNumber());//资产编号
        warrantyPreserve.setHouseCode(pestis.getHouseCode());
        warrantyPreserve.setOrgCode(pestis.getOrgCode());
        warrantyPreserve.setDeviceId(pestis.getId());
        warrantyPreserve.setWarrantyTime(pestis.getWarrantyTime());
        warrantyPreserve.setIsPreserve("0");
        warrantyPreserve.setPreserveTime(pestis.getLastSeenTime());
        warrantyPreserve.setSurplusTime("30");//剩余时间
        warrantyPreserveMapper.insert(warrantyPreserve);
    }
}
