package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicDeviceControlHeatMapper;
import com.unissoft.basic.model.BasicDeviceControlHeat;
import com.unissoft.basic.service.BasicDeviceControlHeatService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备控制-控温设备 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@Service
public class BasicDeviceControlHeatServiceImpl extends ServiceImpl<BasicDeviceControlHeatMapper, BasicDeviceControlHeat> implements BasicDeviceControlHeatService {

    @Autowired
    private BasicDeviceControlHeatService basicDeviceControlHeatService;

    @Override
    public Page<BasicDeviceControlHeat> selectBasicDeviceControlHeat(String equipmentType,String equipmentTagid,String equipmentLocation, Page<BasicDeviceControlHeat> page) {
        LambdaQueryWrapper<BasicDeviceControlHeat> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlHeat::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlHeat::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlHeat::getEquipmentLocation,equipmentLocation);
        return basicDeviceControlHeatService.page(page, wrapper);
    }


}
