package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicDeviceControlIllumination;
import com.unissoft.basic.mapper.BasicDeviceControlIlluminationMapper;
import com.unissoft.basic.service.BasicDeviceControlIlluminationService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备控制-照明设备 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@Service
public class BasicDeviceControlIlluminationServiceImpl extends ServiceImpl<BasicDeviceControlIlluminationMapper, BasicDeviceControlIllumination> implements BasicDeviceControlIlluminationService {

    @Autowired
    private BasicDeviceControlIlluminationService basicDeviceControlIlluminationService;

    @Override
    public Page<BasicDeviceControlIllumination> selectBasicDeviceControlIllumination(String equipmentType,String equipmentTagid,String equipmentLocation, Page<BasicDeviceControlIllumination> page) {
        LambdaQueryWrapper<BasicDeviceControlIllumination> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlIllumination::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlIllumination::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlIllumination::getEquipmentLocation,equipmentLocation);
        return basicDeviceControlIlluminationService.page(page, wrapper);
    }


}
