package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicDeviceControlVentilate;
import com.unissoft.basic.mapper.BasicDeviceControlVentilateMapper;
import com.unissoft.basic.service.BasicDeviceControlVentilateService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备控制-通风设备 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-20
 */
@Service
public class BasicDeviceControlVentilateServiceImpl extends ServiceImpl<BasicDeviceControlVentilateMapper, BasicDeviceControlVentilate> implements BasicDeviceControlVentilateService {


    @Autowired
    private BasicDeviceControlVentilateService basicDeviceControlVentilateService;

    @Override
    public Page<BasicDeviceControlVentilate> selectBasicDeviceControlVentilate(String equipmentType,String equipmentTagid,String equipmentLocation, Page<BasicDeviceControlVentilate> page) {
        LambdaQueryWrapper<BasicDeviceControlVentilate> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=equipmentType&&!"".equals(equipmentType),BasicDeviceControlVentilate::getEquipmentType,equipmentType);
        wrapper.like(null!=equipmentTagid&&!"".equals(equipmentTagid),BasicDeviceControlVentilate::getEquipmentTagid,equipmentTagid);
        wrapper.like(null!=equipmentLocation&&!"".equals(equipmentLocation),BasicDeviceControlVentilate::getEquipmentLocation,equipmentLocation);
        return basicDeviceControlVentilateService.page(page, wrapper);
    }



}
