package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.StringUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasAlarm;
import com.unissoft.basic.mapper.BasicGasAlarmMapper;
import com.unissoft.basic.service.BasicGasAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 气体报警 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Service
public class BasicGasAlarmServiceImpl extends ServiceImpl<BasicGasAlarmMapper, BasicGasAlarm> implements BasicGasAlarmService {

    @Autowired
    private BasicGasAlarmService basicGasAlarmService;

    @Override
    public Page<BasicGasAlarm> selectBasicGasAlarm(String alarmType, Page<BasicGasAlarm> page) {
        LambdaQueryWrapper<BasicGasAlarm> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=alarmType&&!"".equals(alarmType),BasicGasAlarm::getAlarmType,alarmType);
        return basicGasAlarmService.page(page, wrapper);
    }


}
