package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasTightnessAlarm;
import com.unissoft.basic.mapper.BasicGasTightnessAlarmMapper;
import com.unissoft.basic.service.BasicGasTightnessAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 气密性报警 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Service
public class BasicGasTightnessAlarmServiceImpl extends ServiceImpl<BasicGasTightnessAlarmMapper, BasicGasTightnessAlarm> implements BasicGasTightnessAlarmService {


    @Autowired
    private BasicGasTightnessAlarmService basicGasTightnessAlarmService;

    @Override
    public Page<BasicGasTightnessAlarm> selectBasicGasTightnessAlarm(String alarmType, Page<BasicGasTightnessAlarm> page) {
        LambdaQueryWrapper<BasicGasTightnessAlarm> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=alarmType&&!"".equals(alarmType),BasicGasTightnessAlarm::getAlarmType,alarmType);
        return basicGasTightnessAlarmService.page(page, wrapper);
    }


}
