package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicGasTightnessAlarm;
import com.unissoft.basic.model.BasicInsectAlarm;
import com.unissoft.basic.mapper.BasicInsectAlarmMapper;
import com.unissoft.basic.service.BasicGasTightnessAlarmService;
import com.unissoft.basic.service.BasicInsectAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 虫情报警 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Service
public class BasicInsectAlarmServiceImpl extends ServiceImpl<BasicInsectAlarmMapper, BasicInsectAlarm> implements BasicInsectAlarmService {



    @Autowired
    private BasicInsectAlarmService basicInsectAlarmService;

    @Override
    public Page<BasicInsectAlarm> selectBasicInsectAlarm(String alarmType, Page<BasicInsectAlarm> page) {
        LambdaQueryWrapper<BasicInsectAlarm> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=alarmType&&!"".equals(alarmType),BasicInsectAlarm::getAlarmType,alarmType);
        return basicInsectAlarmService.page(page, wrapper);
    }


}
