package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicKgceAlarm;
import com.unissoft.basic.mapper.BasicKgceAlarmMapper;
import com.unissoft.basic.service.BasicKgceAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 能耗报警 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Service
public class BasicKgceAlarmServiceImpl extends ServiceImpl<BasicKgceAlarmMapper, BasicKgceAlarm> implements BasicKgceAlarmService {



    @Autowired
    private BasicKgceAlarmService basicKgceAlarmService;


    @Override
    public Page<BasicKgceAlarm> selectBasicKgceAlarm(String alarmType, Page<BasicKgceAlarm> page) {
        LambdaQueryWrapper<BasicKgceAlarm> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=alarmType&&!"".equals(alarmType),BasicKgceAlarm::getAlarmType,alarmType);
        return basicKgceAlarmService.page(page, wrapper);
    }
}
