package com.unissoft.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicKgceAlarm;
import com.unissoft.basic.model.BasicTemperatureAlarm;
import com.unissoft.basic.mapper.BasicTemperatureAlarmMapper;
import com.unissoft.basic.service.BasicKgceAlarmService;
import com.unissoft.basic.service.BasicTemperatureAlarmService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 温度报警 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-02-09
 */
@Service
public class BasicTemperatureAlarmServiceImpl extends ServiceImpl<BasicTemperatureAlarmMapper, BasicTemperatureAlarm> implements BasicTemperatureAlarmService {


    @Autowired
    private BasicTemperatureAlarmService basicTemperatureAlarmService;


    @Override
    public Page<BasicTemperatureAlarm> selectBasicTemperatureAlarm(String alarmType, Page<BasicTemperatureAlarm> page) {
        LambdaQueryWrapper<BasicTemperatureAlarm> wrapper = new LambdaQueryWrapper<>();
        wrapper.like(null!=alarmType&&!"".equals(alarmType),BasicTemperatureAlarm::getAlarmType,alarmType);
        return basicTemperatureAlarmService.page(page, wrapper);
    }

}
