package com.unissoft.basic.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.mapper.BasicWarrantyPreserveMapper;
import com.unissoft.basic.model.BasicWarrantyPreserve;
import com.unissoft.basic.service.BasicWarrantyPreserveService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.PageParam;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;

/**
 * <p>
 * 质保管理和保养管理 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-03-15
 */
@Service
public class BasicWarrantyPreserveServiceImpl extends ServiceImpl<BasicWarrantyPreserveMapper, BasicWarrantyPreserve> implements BasicWarrantyPreserveService {
    @Resource
    private BasicWarrantyPreserveMapper warrantyPreserveMapper;
    @Override
    public IPage<BasicWarrantyPreserve> getWarrantyPreservePage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<BasicWarrantyPreserve> warrantyPreserveQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            BasicWarrantyPreserve warrantyPreserve = JSON.parseObject(condition, BasicWarrantyPreserve.class);
            // 获取查询条件
            String assetNo = warrantyPreserve.getAssetNo();
            String assetName = warrantyPreserve.getAssetName();
            //Integer qos = warrantyPreserve.getProtocolQos();
            if (!StringUtils.isEmpty(assetNo)){
                warrantyPreserveQW.like("asset_no", assetNo);
            }
            if (!StringUtils.isEmpty(assetName)){
                warrantyPreserveQW.like("asset_name", assetName);
                //ew.eq("protocol_qos", qos);
            }

        }
        //warrantyPreserveQW.orderByDesc("warranty_time");
        IPage<BasicWarrantyPreserve> page = new Page<>(pageIndex, pageSize);
        return warrantyPreserveMapper.selectPage(page, warrantyPreserveQW);

    }
}
