package com.unissoft.common;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.Objects;

public class DateUtils {

    public static String startTime = "00:00:00";
    public static String endTime = "23:59:59";

    // datetime join yyyy-MM-dd HH:mm:ss
    public static String joinTimeHMS(String YMD, String formatHMS) {
        return String.format("%s %s", YMD, formatHMS);
    }

    // between select yyyy-MM-dd HH:mm:ss
    public static String[] betweenOneDay(Date date) {
        String[] s = new String[2];
        if (Objects.nonNull(date)) {
            String YMD = formatDate(date);
            // start time
            String start = String.format("%s %s", YMD, startTime);
            s[0] = start;
            // end time
            String end = String.format("%s %s", YMD, endTime);
            s[1] = end;
            return s;
        }
        return s;
    }

    //字符串转date
    public static Date stringToData(String str) {
        try {
            return new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").parse(str);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    //获取时间
    public static Date getDate() {
        return new Date();
    }

    public static Date getDate(long longTime) {
        return new Date(longTime);
    }

    //date转string
    public static String dateToString(Date time) {
        String dateString = null;
        try {
            SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
            dateString = formatter.format(time);
            return dateString;
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    // 获取时间 月-日 时:分:秒
    public static String getMdHMS(Date time) {
        try {
            SimpleDateFormat formatter = new SimpleDateFormat("MM-dd HH:mm:ss");
            return formatter.format(time);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "00:00:00";
    }

    // 获取日期格式化
    public static String formatDate(Date date) {
        SimpleDateFormat dateTime = new SimpleDateFormat("yyyy-MM-dd");
        return dateTime.format(date);
    }

    // 获取日期格式化
    public static String getCurrentDate() {
        SimpleDateFormat df = new SimpleDateFormat("yyyyMMddHHmmss");//设置日期格式
        return df.format(new Date());
    }

    // 获取日期格式化
    public static String getNYR() {
        SimpleDateFormat dateTime = new SimpleDateFormat("yyyyMMdd");
        return dateTime.format(new Date());
    }

    //字符串转date
    public static Date stringToData(String str, String format) {
        try {
            return new SimpleDateFormat(format).parse(str);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return null;
    }

    // date convert month(flag=2) or week(flag=7) demo int i = DateUtils.dateToMonthOrWeek(date, Calendar.DAY_OF_WEEK);
    public static int dateToMonthOrWeek(Date date, int calendarInt) {
        // Calendar
        Calendar calendar = Calendar.getInstance();
        // set value
        calendar.setTime(date);
        // init result
        int monthOrWeek;
        switch (calendarInt) {
            // catch month
            case Calendar.MONTH:
                // January = 0
                monthOrWeek = calendar.get(Calendar.MONTH) + Calendar.FEBRUARY;
                break;
            // catch week
            case Calendar.DAY_OF_WEEK:
                /* China   1 2 3 4 5 6 7
                   England 2 3 4 5 6 7 1 */
                int eWeek = calendar.get(Calendar.DAY_OF_WEEK);
                // Sunday = 1
                if (eWeek != Calendar.SUNDAY) {
                    monthOrWeek = eWeek - Calendar.SUNDAY;
                } else {
                    monthOrWeek = Calendar.SATURDAY;
                }
                break;
            default:
                // error result
                monthOrWeek = MyConstant.ERROR_INT;
                break;
        }
        // result
        return monthOrWeek;
    }

    /**
     * 获取当年的第一天
     */
    public static Date getCurrentFirstOfYear() {
        Calendar currCal = Calendar.getInstance();
        int currentYear = currCal.get(Calendar.YEAR);
        return getFirstOfYear(currentYear);
    }

    /**
     * 获取某年第一天日期
     *
     * @param year 年份
     * @return Date
     */
    public static Date getFirstOfYear(int year) {
        Calendar calendar = Calendar.getInstance();
        calendar.clear();
        calendar.set(Calendar.YEAR, year);
        return calendar.getTime();
    }

    /**
     * 获取当年的最后一天
     */
    public static Date getCurrentLastOfYear() {
        Calendar currCal = Calendar.getInstance();
        int currentYear = currCal.get(Calendar.YEAR);
        return getLastOfYear(currentYear);
    }

    /**
     * 获取某年最后一天日期
     *
     * @param year 年份
     * @return Date
     */
    public static Date getLastOfYear(int year) {
        Calendar calendar = Calendar.getInstance();
        calendar.clear();
        calendar.set(Calendar.YEAR, year);
        calendar.roll(Calendar.DAY_OF_YEAR, -1);
        return calendar.getTime();
    }

}
