package com.unissoft.common;

import lombok.extern.slf4j.Slf4j;

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;

/**
 * @author qingsong.han
 * @description: md5加密
 * @create 2020-02-12 15:34
 */
@Slf4j
public class MD5Util {

    private static final String KEY = "qsHAN@liangs798";
    private static final int LEN = 16;

    public static String getMD5(String plainText) {
        try {
            MessageDigest md = MessageDigest.getInstance("MD5");//获取MD5实例
            md.update((KEY + plainText).getBytes());//此处传入要加密的byte类型值
            byte[] digest = md.digest();//此处得到的是md5加密后的byte类型值
            int i;
            StringBuilder sb = new StringBuilder();
            for (byte b : digest) {
                i = b;
                if (i < 0)
                    i += 256;
                if (i < 16)
                    sb.append(0);
                sb.append(Integer.toHexString(i));//通过Integer.toHexString方法把值变为16进制
            }
            return sb.toString().substring(0, LEN);//从下标0开始，length目的是截取多少长度的值
        } catch (NoSuchAlgorithmException e) {
            e.printStackTrace();
            log.error("MD5 encryption failed: {}", e.getMessage());
        }
        return "";
    }

    /*public static void main(String[] args) {
        System.out.println(getMD5("123456"));
    }*/

}
