package com.unissoft.common;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;

/**
 * @author qingsong.han
 * @description: 异步执行定时任务, 执行定时任务, 获取定时任务返回数据并保存
 * @create 2023-02-08 10:20
 */
@Slf4j
@Async
@Component("scheduledTaskRun")
public class ScheduledTaskRun {

    /*
     * 测温
     */
    public void tempWithParams() {
        log.info("执行测温检测定时任务 {}:空参调用!");
    }

    public void tempWithParams(String params) {
        log.info("执行测温设备检测定时任务: {}", params);
    }

    /*
     * 气体
     */
    public void gasWithParams() {
        log.info("执行测气设备检测定时任务 {}:空参调用!");
    }

    public void gasWithParams(String params) {
        log.info("执行测气检测定时任务: {}", params);
    }


}
