package com.unissoft.config;

/**
 * @author qingsong.han
 * @description: init data
 * @create 2023-01-17 14:40
 */

import com.alibaba.fastjson2.JSON;
import com.unissoft.user.model.UserInfo;
import com.unissoft.user.service.UserInfoService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.Date;
import java.util.UUID;

@Slf4j
@Component
@Order(1)
public class InitBasic implements ApplicationRunner {

    @Value("${spring.application.name}")
    private String appName;
    @Resource
    private UserInfoService userInfoService;
    // init user for first
    private static final String userInit = "{\"orgCode\":\"000\",\"userName\":\"admin\",\"userRealName\":\"超级管理员\",\"userPassword\":\"3d19dd0c43196097\",\"userPhone\": \"1891111111111\",\"userSex\": 1,\"userRole\": \"100001\",\"userAddress\": \"北京\",\"userState\": \"1\"}";

    // init run
    @Override
    public void run(ApplicationArguments args) throws Exception {
        log.info("init {} data run!", appName);
        this.initUserAdmin();
    }

    /**
     * order 1
     * init admin user
     */
    private void initUserAdmin() {
        if (userInfoService.count() == 0) {
            UserInfo userInfo = JSON.parseObject(userInit, UserInfo.class);
            userInfo.setId(UUID.randomUUID().toString());
            userInfo.setBuildTime(new Date());
            userInfoService.save(userInfo);
            log.info("init user admin success!user: admin,password: 123456");
        }
    }

}
