package com.unissoft.config;

import lombok.extern.slf4j.Slf4j;

import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import com.alibaba.fastjson2.JSONObject;
import com.unissoft.syn.service.SynAuthorizationService;

import java.io.PrintWriter;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;


@Slf4j
public class LoginInterceptor implements HandlerInterceptor {

	@Resource
    private SynAuthorizationService synAuthorizationService;
	
    // 目标方法执行之前
    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
    	
        boolean falg = synAuthorizationService.verificateSqm(request);
        
        if(falg){
        	return true;
        }
        response.setCharacterEncoding( "UTF-8");
        response.setContentType( "application/json; charset=utf-8");
        PrintWriter out = null ;
        try{
        JSONObject res = new JSONObject();
        res.put( "status", "false");
        res.put("code", "50008");
        res.put( "msg", "当前用户未授权");
        out = response.getWriter();
        out.append(res.toString());
        return false;
        }
        catch (Exception e){
        e.printStackTrace();
        response.sendError( 500);
        return false;
        }

    }

    // 目标方法执行完毕
    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {
          log.info("postHandle执行{}",modelAndView);
    }

    // 页面渲染以后
    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
        log.info("afterCompletion执行异常{}",ex);
    }
}