package com.unissoft.data.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.data.model.DataAirtightness;
import com.unissoft.data.service.DataAirtightnessService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 气密性数据 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Api(tags = "粮情监测-气密性")
@RestController
@RequestMapping("/data-airtightness")
public class DataAirtightnessController {
    @Resource
    private DataAirtightnessService airtightnessService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<DataAirtightness> pageList = airtightnessService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @ApiOperation(value = "详情", notes = "根据id查询")
    @GetMapping("/getById/{id}")
    public ResultView getById(@PathVariable String id) {
        DataAirtightness oneData = airtightnessService.getById(id);
        return ResultView.success(oneData);
    }

}
