package com.unissoft.data.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.data.model.DataGrainTemp;
import com.unissoft.data.service.DataGrainTempService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 粮温检测数据表 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Api(tags = "粮情监测-粮温检测")
@RestController
@RequestMapping("/data-grain-temp")
public class DataGrainTempController {
    @Resource
    private DataGrainTempService grainTempService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<DataGrainTemp> pageList = grainTempService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @ApiOperation(value = "详情", notes = "根据id查询")
    @GetMapping("/getById/{id}")
    public ResultView getById(@PathVariable String id) {
        DataGrainTemp oneData = grainTempService.getById(id);
        return ResultView.success(oneData);
    }

}
