package com.unissoft.data.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.data.model.DataMeteorological;
import com.unissoft.data.service.DataMeteorologicalService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 * 气象站数据 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Api(tags = "粮情监测-气象站")
@RestController
@RequestMapping("/data-meteorological")
public class DataMeteorologicalController {
    @Resource
    private DataMeteorologicalService meteorologicalService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "分页列表", notes = "")
    public ResultView getPageList(@RequestBody PageParam pageParam) {
        try {
            IPage<DataMeteorological> pageList = meteorologicalService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    @ApiOperation(value = "详情", notes = "根据id查询")
    @GetMapping("/getById/{id}")
    public ResultView getById(@PathVariable String id) {
        DataMeteorological oneData = meteorologicalService.getById(id);
        return ResultView.success(oneData);
    }
}
