package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 气密性数据
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_airtightness")
@ApiModel(value="DataAirtightness对象", description="气密性数据")
public class DataAirtightness implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "检测方式")
    @TableField("detection_method")
    private String detectionMethod;

    @ApiModelProperty(value = "压力值底限")
    @TableField("pressure_floor")
    private Integer pressureFloor;

    @ApiModelProperty(value = "压力值高限")
    @TableField("pressure_high")
    private Integer pressureHigh;

    @ApiModelProperty(value = "抽排气时间")
    @TableField("exhaust_time")
    private Date exhaustTime;

    @ApiModelProperty(value = "计时时间")
    @TableField("timing_time")
    private Date timingTime;


}
