package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 能耗检测数据
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_energy")
@ApiModel(value="DataEnergy对象", description="能耗检测数据")
public class DataEnergy implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "设备编码")
    @TableField("device_code")
    private String deviceCode;

    @ApiModelProperty(value = "累计用电(度)")
    @TableField("count_electric")
    private Integer countElectric;

    @ApiModelProperty(value = "电压(V)")
    @TableField("voltage_value")
    private Integer voltageValue;

    @ApiModelProperty(value = "电流(A)")
    @TableField("electric_current")
    private Integer electricCurrent;

    @ApiModelProperty(value = "采集人")
    @TableField("collector_people")
    private String collectorPeople;

    @ApiModelProperty(value = "检测时间")
    @TableField("collector_time")
    private Date collectorTime;


}
