package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 气体检测数据
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_gas")
@ApiModel(value="DataGas对象", description="气体检测数据")
public class DataGas implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "磷化氢(ppm)")
    @TableField("phosphine_number")
    private Float phosphineNumber;

    @ApiModelProperty(value = "氧气O2比例(%)")
    @TableField("oxygen_number")
    private Float oxygenNumber;

    @ApiModelProperty(value = "二氧化碳CO2(%)")
    @TableField("carbon_dioxide_number")
    private Float carbonDioxideNumber;

    @ApiModelProperty(value = "采集人")
    @TableField("collector_people")
    private String collectorPeople;

    @ApiModelProperty(value = "采集日期")
    @TableField("collector_time")
    private Date collectorTime;


}
