package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 粮温检测数据表
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_grain_temp")
@ApiModel(value="DataGrainTemp对象", description="粮温检测数据表")
public class DataGrainTemp implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编码")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "粮食品种编码")
    @TableField("grain_type_code")
    private String grainTypeCode;

    @ApiModelProperty(value = "粮食性质编码")
    @TableField("grain_attribute_code")
    private String grainAttributeCode;

    @ApiModelProperty(value = "仓内温")
    @TableField("inside_temp")
    private Float insideTemp;

    @ApiModelProperty(value = "是否存在异常(0:否,1:是)")
    @TableField("grain_error")
    private Boolean grainError;

    @ApiModelProperty(value = "最高温")
    @TableField("max_temp")
    private Float maxTemp;

    @ApiModelProperty(value = "最低温")
    @TableField("min_temp")
    private Float minTemp;

    @ApiModelProperty(value = "平均温")
    @TableField("avg_temp")
    private Float avgTemp;

    @ApiModelProperty(value = "检测时间")
    @TableField("check_time")
    private Date checkTime;


}
