package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 虫情检测数据
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_insect")
@ApiModel(value="DataInsect对象", description="虫情检测数据")
public class DataInsect implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "害虫检测单号")
    @TableField("test_sheet")
    private String testSheet;

    @ApiModelProperty(value = "通道号")
    @TableField("channel_number")
    private Integer channelNumber;

    @ApiModelProperty(value = "害虫种类编码")
    @TableField("insect_type")
    private String insectType;

    @ApiModelProperty(value = "虫害(个数)")
    @TableField("insect_number")
    private Integer insectNumber;

    @ApiModelProperty(value = "采集人")
    @TableField("collector_peope")
    private String collectorPeope;

    @ApiModelProperty(value = "采集时间")
    @TableField("collector_time")
    private Date collectorTime;


}
