package com.unissoft.data.model;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 气象站数据
 * </p>
 *
 * @author root
 * @since 2023-02-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("data_meteorological")
@ApiModel(value="DataMeteorological对象", description="气象站数据")
public class DataMeteorological implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId("id")
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "气象站编码")
    @TableField("device_code")
    private String deviceCode;

    @ApiModelProperty(value = "温度(℃)")
    @TableField("temp_value")
    private Float tempValue;

    @ApiModelProperty(value = "湿度(%RH)")
    @TableField("wet_value")
    private Float wetValue;

    @ApiModelProperty(value = "风速")
    @TableField("wind_speed")
    private Integer windSpeed;

    @ApiModelProperty(value = "风向")
    @TableField("wind_direction")
    private String windDirection;

    @ApiModelProperty(value = "气压(Pa)")
    @TableField("pressure_value")
    private Integer pressureValue;

    @ApiModelProperty(value = "降雨量(mm)")
    @TableField("rains_value")
    private Integer rainsValue;

    @ApiModelProperty(value = "检测采集时间")
    @TableField("collector_time")
    private Date collectorTime;


}
