package com.unissoft.data.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.data.model.DataAlarmInfo;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author root
 * @since 2023-03-06
 */
public interface DataAlarmInfoService extends IService<DataAlarmInfo> {

    /**
     * 返回当天报警信息或最新10条
     * @param orgCode 本机构编码
     * @return 数据集
     */
    List<DataAlarmInfo> getAlarmInfoList(String orgCode);

    /**
     * 接收处理设备异常数据
     * @param data 异常数据
     * @param alarmType 设备数据类型
     * @return boolean
     */
    boolean saveAlarmInfo(Object data, String alarmType);

}
