package com.unissoft.enums;


/**
 * @author qingsong.han
 * @description: enum
 * @create 2023-02-08 14:00
 */
public enum BeanEnum {
    // 测温
    TEMP_CHECK_BEAN("scheduledTaskRun", "tempWithParams"),
    // 气体
    GAS_CHECK_BEAN("scheduledTaskRun", "gasWithParams");

    private String beanName;
    private String methodName;

    BeanEnum(String beanName, String methodName) {
        this.beanName = beanName;
        this.methodName = methodName;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getBeanName() {
        return beanName;
    }

    public void setBeanName(String beanName) {
        this.beanName = beanName;
    }

    /**
     * 编码转换bean
     *
     * @param expression 产品标签code
     * @return BeanEnum
     */
    public static BeanEnum convertMethod(String expression) {
        switch (expression) {
            case "200100":
                return BeanEnum.TEMP_CHECK_BEAN; // 测温设备分类
            case "200200":
                return BeanEnum.GAS_CHECK_BEAN; // 气体
            default:
                throw new IllegalArgumentException("I don't know BeanEnum response result!");
        }

    }

}
