package com.unissoft.firstPage;

import com.unissoft.common.ResultView;
import com.unissoft.data.service.DataAlarmInfoService;
import com.unissoft.data.service.DataGrainTempService;
import com.unissoft.sys.service.SysLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author qingsong.han
 * @description: 首页接口
 * @create 2023-03-24 11:20
 */
@Api(tags = "首页")
@RestController
@RequestMapping("/home-page")
public class HomePageController {
    @Resource
    private SysLogService logService;
    @Resource
    private DataGrainTempService grainTempService;
    @Resource
    private DataAlarmInfoService alarmInfoService;

    @GetMapping("/getLogList/{orgCode}")
    @ApiOperation(value = "运行日志", notes = "查询list")
    public ResultView getLogList(@PathVariable String orgCode) {
        return ResultView.success(logService.getLogList(orgCode));
    }

    // 在线运行设备
    @GetMapping("/getOnlineList/{orgCode}")
    @ApiOperation(value = "在线运行设备", notes = "查询list")
    public ResultView getOnlineList(@PathVariable String orgCode) {
        return ResultView.success(logService.getOnlineList(orgCode));
    }

    @GetMapping("/getGainList/{orgCode}")
    @ApiOperation(value = "粮情信息", notes = "查询list")
    public ResultView getGainList(@PathVariable String orgCode) {
        return ResultView.success(grainTempService.getGainList(orgCode));
    }

    @GetMapping("/getAlarmInfoList/{orgCode}")
    @ApiOperation(value = "报警信息", notes = "查询list")
    public ResultView getAlarmInfoList(@PathVariable String orgCode) {
        return ResultView.success(alarmInfoService.getAlarmInfoList(orgCode));
    }

}
