package com.unissoft.house.controller;

import java.io.File;
import java.io.IOException;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;

@RestController
@RequestMapping(value="/fileUpload")
public class FileUploadController {

//	@Autowired
//    private BusinessFileService businessFileService;
	
    @Value("${web.upload-path}")
    private String uploadPath;
	
	@RequestMapping(value="/uploadFile")
	public String uploadFile(MultipartFile file, String fileType, HttpServletRequest request) throws IllegalStateException, IOException {

		// 文件相对路径
		String relativePath = "/upload/" + fileType;
		// 如路径不存在，则创建它
		File directory = new File(uploadPath + relativePath);
		if (!directory.exists()) {
			directory.mkdirs();
		}
		String filePath = relativePath + "/" + System.currentTimeMillis()+"_"+file.getOriginalFilename();
		// 复制 文件
		file.transferTo(new File(uploadPath + filePath));
		return filePath;
	}
	
	
//	@RequestMapping(value="/updateFileBusiness")
//	public BusinessFile uploadFile(MultipartFile file, String type, Integer bid, Integer userId,Integer orgId,HttpServletRequest request){
//
//		BusinessFile businessFile = businessFileService.uploadFile(file,type,bid, userId, orgId);
//        return businessFile;
//    }
	
}
