package com.unissoft.house.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2023-01-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("house_info")
@ApiModel(value="HouseInfo对象", description="")
public class HouseInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "仓房id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "仓房编号")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "仓房名称")
    @TableField("house_name")
    private String houseName;

    @ApiModelProperty(value = "设计仓容（kg）")
    @TableField("design_capacity")
    private String designCapacity;

    @ApiModelProperty(value = "实际仓容（kg）")
    @TableField("actual_capacity")
    private String actualCapacity;

    @ApiModelProperty(value = "仓房类型")
    @TableField("house_type")
    private String houseType;

    @ApiModelProperty(value = "仓内长度（米）")
    @TableField("house_length")
    private BigDecimal houseLength;

    @ApiModelProperty(value = "仓内宽度（米）")
    @TableField("house_width")
    private BigDecimal houseWidth;

    @ApiModelProperty(value = "仓内檐高（米）")
    @TableField("house_heigth")
    private BigDecimal houseHeigth;

    @ApiModelProperty(value = "仓内装粮线高")
    @TableField("grain_line_heigth")
    private BigDecimal grainLineHeigth;

    @ApiModelProperty(value = "仓内体积")
    @TableField("bin_volume")
    private BigDecimal binVolume;

    @ApiModelProperty(value = "库类型，0.主粮库，1.代储点粮库")
    @TableField("library_type")
    private String libraryType;

    @ApiModelProperty(value = "仓房状态")
    @TableField("house_state")
    private Integer houseState;

    @ApiModelProperty(value = "仓房是否完好")
    @TableField("is_no")
    private Integer isNo;

    @ApiModelProperty(value = "交付使用日期")
    @TableField("use_date")
    private Date useDate;

    @ApiModelProperty(value = "储粮功效")
    @TableField("store_way")
    private Integer storeWay;

    @ApiModelProperty(value = "是否隔热保温(1:是,0:否,9:其他或不确定)")
    @TableField("is_grbw")
    private Integer isGrbw;

    @ApiModelProperty(value = "是否散装储存(1:是,0:否,9:其他或不确定)")
    @TableField("is_szcc")
    private Integer isSzcc;

    @ApiModelProperty(value = "有无防鼠防雀防虫装置及设施(1:是,0:否,9:其他或不确定)")
    @TableField("is_fsfqfc")
    private Integer isFsfqfc;

    @ApiModelProperty(value = "有无机械通风设施1:是,0:否,9:其他或不确定)")
    @TableField("is_jjtf")
    private Integer isJjtf;

    @ApiModelProperty(value = "有无防火防爆防盗设施(1:是,0:否,9:其他或不确定)")
    @TableField("is_fhfd")
    private Integer isFhfd;

    @ApiModelProperty(value = "保管员姓名")
    @TableField("keeper_name")
    private String keeperName;

    @ApiModelProperty(value = "保管员年龄")
    @TableField("keeper_age")
    private String keeperAge;

    @ApiModelProperty(value = "保管员性别")
    @TableField("keeper_gender")
    private String keeperGender;

    @ApiModelProperty(value = "保管员电话")
    @TableField("keeper_iphone")
    private String keeperIphone;

    @ApiModelProperty(value = "保管员入职日期")
    @TableField("keeper_date")
    private Date keeperDate;

    @ApiModelProperty(value = "保管员照片")
    @TableField("keeper_pic")
    private String keeperPic;

    @ApiModelProperty(value = "关联设备")
    @TableField("device_id")
    private String deviceId;


}
