package com.unissoft.house.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.basic.model.BasicDeviceConfigEnergy;
import com.unissoft.common.PageParam;
import com.unissoft.house.mapper.HouseInfoMapper;
import com.unissoft.house.model.HouseInfo;
import com.unissoft.house.service.HouseInfoService;
import com.unissoft.user.model.UserInfo;
import com.unissoft.user.mapper.UserInfoMapper;
import com.unissoft.user.service.UserInfoService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author root
 * @since 2023-01-17
 */
@Service
public  class HouseInfoServiceImpl extends ServiceImpl<HouseInfoMapper, HouseInfo> implements HouseInfoService {
    @Resource
    private HouseInfoMapper houseInfoMapper;

    @Override
    public List<HouseInfo> getHouseList(String name, String code) {
        List<HouseInfo> list = null;


            list = houseInfoMapper.getHouseIdList(name,code);

        return list;
    }

    @Override
    public IPage<HouseInfo> getHousePage(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();
        // 查询条件
        String condition = pageParam.getCondition();
        // 查询对象
        QueryWrapper<HouseInfo> houseInfoQW = new QueryWrapper<>();
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
            HouseInfo houseInfo = JSON.parseObject(condition, HouseInfo.class);
            // 获取查询条件
            String houseName = houseInfo.getHouseName();
            String houseCode = houseInfo.getHouseCode();
            if (!StringUtils.isEmpty(houseName)){
                houseInfoQW.like("house_name", houseName);
            }
            if (!StringUtils.isEmpty(houseCode)){
                houseInfoQW.like("house_code", houseCode);
            }

        }
        houseInfoQW.orderByDesc("use_date");
        IPage<HouseInfo> page = new Page<>(pageIndex, pageSize);
        return houseInfoMapper.selectPage(page, houseInfoQW);

    }
}
