package com.unissoft.syn.controller;


import java.io.IOException;
import java.net.URLDecoder;

import javax.annotation.Resource;
import javax.servlet.ServletException;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.syn.model.SynRecording;
import com.unissoft.syn.service.SynRecordingService;

import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 数据同步记录 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-17
 */
@RestController
@RequestMapping("/syn-recording")
public class SynRecordingController {

	
	@Resource
    private SynRecordingService synRecordingService;
	
	/**
	 * 列表
	 * @param pageParam
	 * @return
	 */
	    @PostMapping("/getPageList")
	    @ApiOperation(value = "数据同步记录列表", notes = "分页列表")
	    public ResultView getPageList(@RequestBody PageParam pageParam) {
	        try {
	            IPage<SynRecording> pageList = synRecordingService.getPageList(pageParam);
	            return ResultView.success(pageList);
	        } catch (Exception e) {
	            e.printStackTrace();
	            return ResultView.error();
	        }
	    }
	    
	    
	    
	    
	    /**
	     * 测试
	     */
	    
	    //cookie中查询是否有授权码
	    @PostMapping("/getCookie")
	    public String getCookie(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
			String sqmValue = "";
			//获取cookie数组
			Cookie[] cookies = request.getCookies();
			if (cookies != null && cookies.length > 0) {
			//遍历数组
				for (Cookie cookie : cookies) {
					if (cookie.getName().equals("sqmKey")) {
						sqmValue = cookie.getValue();
						sqmValue = URLDecoder.decode(sqmValue,"UTF-8");
						break;
					}
				}
			}
			return sqmValue;
	    }
	    
	    //验证授权码是否正确
	    @PostMapping("/getsqm")
	    public String getsqm(String sqmValue,String orgCode) {
			//根据orgCode和sqmValue到表里查询 是否一致
			return sqmValue;
	    }
	    
	   
	    
	    
	    @GetMapping("/getlist")
	    @ApiOperation(value = "数据同步记录列表", notes = "分页列表")
	    public String getlist(HttpServletRequest request) {
	    	Cookie[] cookies = request.getCookies();
	    	System.out.println(cookies.length+"***********///////////");
	       System.out.println("11111");
	       return "cgong";
	    }
	    
	    

}
