package com.unissoft.syn.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 数据同步交换配置
 * </p>
 *
 * @author root
 * @since 2023-03-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("syn_configuration")
@ApiModel(value="SynConfiguration对象", description="数据同步交换配置")
public class SynConfiguration implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "系统名称")
    @TableField("system_name")
    private String systemName;

    @ApiModelProperty(value = "系统ip")
    @TableField("system_ip")
    private String systemIp;

    @ApiModelProperty(value = "系统的编码")
    @TableField("system_encoding")
    private String systemEncoding;

    @ApiModelProperty(value = "管理员")
    @TableField("system_administrator")
    private String systemAdministrator;

    @ApiModelProperty(value = "管理员电话")
    @TableField("admin_tel")
    private String adminTel;

    @ApiModelProperty(value = "管理员邮箱")
    @TableField("admin_email")
    private String adminEmail;

    @ApiModelProperty(value = "接口名称")
    @TableField("Interface_name")
    private String interfaceName;

    @ApiModelProperty(value = "接口地址")
    @TableField("Interface_address")
    private String interfaceAddress;

    @ApiModelProperty(value = "交换频率")
    @TableField("switching_frequency")
    private String switchingFrequency;

    @ApiModelProperty(value = "组织编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;
    
    
    //业务字段
    @TableField(exist = false)
    private Date startTime;//开始时间
    
    @TableField(exist = false)
    private Date endTime;//结束时间


}
