package com.unissoft.syn.model;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 数据同步记录
 * </p>
 *
 * @author root
 * @since 2023-03-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("syn_recording")
@ApiModel(value="SynRecording对象", description="数据同步记录")
public class SynRecording implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId("id")
    private String id;

    @ApiModelProperty(value = "类型")
    @TableField("syn_type")
    private String synType;

    @ApiModelProperty(value = "系统类型")
    @TableField("system_type")
    private String systemType;

    @ApiModelProperty(value = "上次执行结果")
    @TableField("syn_result")
    private String synResult;

    @ApiModelProperty(value = "监控统计")
    @TableField("syn_statistics")
    private String synStatistics;

    @ApiModelProperty(value = "共享数据条数")
    @TableField("syn_total")
    private String synTotal;

    @ApiModelProperty(value = "共享数据大小")
    @TableField("syn_size")
    private Double synSize;

    @ApiModelProperty(value = "执行日期")
    @TableField("execution_date")
    private Date executionDate;

    @ApiModelProperty(value = "组织编码")
    @TableField("org_code")
    private String orgCode;


}
