package com.unissoft.syn.service.impl;

import com.unissoft.syn.model.SynAuthorization;
import com.unissoft.common.PageParam;
import com.unissoft.syn.mapper.SynAuthorizationMapper;
import com.unissoft.syn.service.SynAuthorizationService;
import com.unissoft.user.model.UserInfo;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

import javax.annotation.Resource;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;

import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 授权码 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-04-04
 */
@Service
public class SynAuthorizationServiceImpl extends ServiceImpl<SynAuthorizationMapper, SynAuthorization> implements SynAuthorizationService {

	
	@Resource
    private SynAuthorizationMapper synAuthorizationMapper;
	
	
	@Override
	public List<SynAuthorization> selectList(QueryWrapper<SynAuthorization> queryWrapper) {
		// TODO Auto-generated method stub
		return synAuthorizationMapper.selectList(queryWrapper);
	}
	
	

	@Override
	public boolean verificateSqm(HttpServletRequest request){
		// TODO Auto-generated method stub
		
		String sqmValue = "";
		//获取cookie数组
		Cookie[] cookies = request.getCookies();
		if (cookies != null && cookies.length > 0) {
		//遍历数组
			for (Cookie cookie : cookies) {
				if (cookie.getName().equals("sqmKey")) {
					
						sqmValue = cookie.getValue();
						try {
							sqmValue = URLDecoder.decode(sqmValue,"UTF-8");
						} catch (UnsupportedEncodingException e) {
							// TODO Auto-generated catch block
							e.printStackTrace();
						}
						
						if(sqmValue != "" && sqmValue != null){
							/*//存在授权码 查询授权码是否一致
							UserInfo userInfo = (UserInfo) request.getSession().getAttribute("userLogin");
							QueryWrapper<SynAuthorization> queryWrapper = new QueryWrapper<>();
							queryWrapper.eq("authorization_code", sqmValue);
							queryWrapper.eq("org_code", userInfo.getOrgCode());
							List<SynAuthorization>  list = synAuthorizationMapper.selectList(queryWrapper);
							if(list.size()>0){
								return true;
							}*/
							return this.checkSqm(request, sqmValue);
						}
					} 
				}
			}
			
		return false;
		
	}



	@Override
	public boolean checkSqm(HttpServletRequest request,String sqmValue) {
		// TODO Auto-generated method stub
		
		//存在授权码 查询授权码是否一致
		
		 Date currentTime = new Date();//当前日期
		 SimpleDateFormat formatter = new SimpleDateFormat("yyyy-MM-dd");//定义新的日期格式
		 String dateString = formatter.format(currentTime);
		
		UserInfo userInfo = (UserInfo) request.getSession().getAttribute("userLogin");
		QueryWrapper<SynAuthorization> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq("authorization_code", sqmValue);
		queryWrapper.eq("org_code", userInfo.getOrgCode());
		queryWrapper.ge("end_time", dateString);
		List<SynAuthorization>  list = synAuthorizationMapper.selectList(queryWrapper);
		if(list.size()>0){
			return true;
		}
		
		return false;
	}



	@Override
	public IPage<SynAuthorization> getPageList(PageParam pageParam) {
		// TODO Auto-generated method stub
		Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();

        // 查询条件
        String condition = pageParam.getCondition();
        QueryWrapper<SynAuthorization> queryWrapper = new QueryWrapper<>();
        
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
        	SynAuthorization synAuthorization = JSON.parseObject(condition, SynAuthorization.class);
            // 获取查询条件
        	String orgCode = synAuthorization.getOrgCode();
        	if (!StringUtils.isEmpty(orgCode)){
                queryWrapper.eq("org_code", orgCode);
            }
        }
        
        IPage<SynAuthorization> page = new Page<>(pageIndex, pageSize);
        return synAuthorizationMapper.selectPage(page, queryWrapper);
	}


}
