package com.unissoft.syn.service.impl;

import com.unissoft.syn.model.SynRecording;
import com.unissoft.common.PageParam;
import com.unissoft.syn.mapper.SynRecordingMapper;
import com.unissoft.syn.service.SynRecordingService;
import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;


import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

/**
 * <p>
 * 数据同步记录 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-03-17
 */
@Service
public class SynRecordingServiceImpl extends ServiceImpl<SynRecordingMapper, SynRecording> implements SynRecordingService {

	
	@Resource
    private SynRecordingMapper synRecordingMapper;
	
	
	@Override
	public IPage<SynRecording> getPageList(PageParam pageParam) {
		// TODO Auto-generated method stub
		// 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();

        // 查询条件
        String condition = pageParam.getCondition();
        QueryWrapper<SynRecording> queryWrapper = new QueryWrapper<>();
        
        if (!StringUtils.isEmpty(condition)) {
            // 查询条件转Java对象
        	SynRecording synRecording = JSON.parseObject(condition, SynRecording.class);
            // 获取查询条件
        	String orgCode = synRecording.getOrgCode();
        	String systemType = synRecording.getSystemType();//系统类型

            
            if (!StringUtils.isEmpty(orgCode)){
                queryWrapper.eq("org_code", orgCode);
            }
            if (!StringUtils.isEmpty(systemType)){
                queryWrapper.eq("system_type", systemType);
            }
            
        }
        // 分页对象
        IPage<SynRecording> page = new Page<>(pageIndex, pageSize);
        return synRecordingMapper.selectPage(page, queryWrapper);
	}

}
