package com.unissoft.sys.controller;


import com.unissoft.common.ResultView;
import com.unissoft.sys.model.SysImage;
import com.unissoft.sys.service.SysImageService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.awt.image.BufferedImage;
import java.io.*;

/**
 * <p>
 * 系统图片 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-28
 */
@Api(tags = "系统管理")
@RestController
@RequestMapping("/sys-image")
public class SysImageController {
    @Resource
    private SysImageService imageService;

    @ApiOperation(value = "库区展示-获取库区图", notes = "根据orgCode和imageType查询一张图片")
    @PostMapping("/getImageForOnly")
    public void getImageForOnly(@RequestBody SysImage sysImage, HttpServletResponse response) {
        String image = imageService.getImageForOnly(sysImage);
        try {
            if (!StringUtils.isEmpty(image)) {
                FileInputStream inputStream = new FileInputStream(image);
                byte[] bytes = readInputStream(inputStream);
                OutputStream outputStream = response.getOutputStream();
                response.setContentType("image/jpg");
                outputStream.write(bytes);
                outputStream.flush();
                outputStream.close();
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @ApiOperation(value = "库区展示-保存库区图", notes = "上传图片,将图片路径保存(暂时没有这个功能)")
    @PostMapping("/save")
    public ResultView save(@RequestBody SysImage sysImage) {
        boolean save = imageService.save(sysImage);
        if (save)
            return ResultView.success();
        return ResultView.error();
    }

    private static byte[] readInputStream(InputStream ins) throws IOException {
        ByteArrayOutputStream out = new ByteArrayOutputStream();
        byte[] buffer = new byte[1024];
        int len;
        while ((len = ins.read(buffer)) != -1) {
            out.write(buffer, 0, len);
        }
        ins.close();
        return out.toByteArray();
    }

}
