package com.unissoft.sys.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.common.PageParam;
import com.unissoft.common.ResultView;
import com.unissoft.sys.model.SysLog;
import com.unissoft.sys.service.SysLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 * 运行日志 前端控制器
 * </p>
 *
 * @author root
 * @since 2023-03-01
 */
@Api(tags = "日志管理")
@RestController
@RequestMapping("/sys-log")
public class SysLogController {
    @Resource
    private SysLogService logService;

    @PostMapping("/getPageList")
    @ApiOperation(value = "日志管理-分页列表", notes = "分页列表")
    public ResultView getLabelPage(@RequestBody PageParam pageParam) {
        try {
            IPage<SysLog> pageList = logService.getPageList(pageParam);
            return ResultView.success(pageList);
        } catch (Exception e) {
            e.printStackTrace();
            return ResultView.error();
        }
    }

    // 日志保存为统一拦截器保存在com.unissoft.common.LogAspect类中

}
