package com.unissoft.sys.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.List;

import com.unissoft.basic.model.BasicEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2023-01-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_label_info")
@ApiModel(value="LabelInfo对象", description="")
public class LabelInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "标签ID")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "标签名称")
    @TableField("label_name")
    private String labelName;

    @ApiModelProperty(value = "标签编号")
    @TableField("label_code")
    private String labelCode;

    @ApiModelProperty(value = "标签类别")
    @TableField("label_class")
    private String labelClass;

    @ApiModelProperty(value = "描述")
    @TableField("label_refer")
    private String labelRefer;

    @ApiModelProperty(value = "设备ID")
    @TableField("device_id")
    private String deviceId;

    @ApiModelProperty(value = "仓房")
    @TableField("house_code")
    private String houseCode;

    @ApiModelProperty(value = "父节点id")
    @TableField("parent_id")
    private String parentId;

    // 业务字段,树型子集菜单
    @TableField(exist = false)
    private List<LabelInfo> children;
}
