package com.unissoft.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 系统图片
 * </p>
 *
 * @author root
 * @since 2023-03-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_image")
@ApiModel(value="SysImage对象", description="系统图片")
public class SysImage implements Serializable {
    private static final long serialVersionUID = -8101436015564079864L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "图片类型(0:库区图)")
    @TableField("image_type")
    private Integer imageType;

    @ApiModelProperty(value = "图片存储位置")
    @TableField("image_dir")
    private String imageDir;


}
