package com.unissoft.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 运行日志
 * </p>
 *
 * @author root
 * @since 2023-03-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_log")
@ApiModel(value="SysLog对象", description="运行日志")
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "操作人")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "操作人姓名")
    @TableField("user_real_name")
    private String userRealName;

    @ApiModelProperty(value = "操作人角色")
    @TableField("user_role_name")
    private String userRoleName;

    @ApiModelProperty(value = "动作(操作类型)")
    @TableField("operation_type")
    private String operationType;

    @ApiModelProperty(value = "操作人登录时间")
    @TableField("login_time")
    private Date loginTime;

    @ApiModelProperty(value = "操作人注销时间")
    @TableField("login_out_time")
    private Date loginOutTime;

    @ApiModelProperty(value = "操作时间")
    @TableField("operation_time")
    private Date operationTime;


}
