package com.unissoft.sys.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 单位信息
 * </p>
 *
 * @author root
 * @since 2023-03-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_org_info")
@ApiModel(value="SysOrgInfo对象", description="单位信息")
public class SysOrgInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "单位信息编码(识别码)")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "单位名称(粮库名称)")
    @TableField("org_name")
    private String orgName;

    @ApiModelProperty(value = "企业所属行业")
    @TableField("org_trade")
    private String orgTrade;

    @ApiModelProperty(value = "企业规模")
    @TableField("org_scale")
    private String orgScale;

    @ApiModelProperty(value = "联系人")
    @TableField("org_contacts")
    private String orgContacts;

    @ApiModelProperty(value = "邮编")
    @TableField("zip_code")
    private Integer zipCode;

    @ApiModelProperty(value = "所在地区")
    @TableField("org_area")
    private String orgArea;

    @ApiModelProperty(value = "详细地址")
    @TableField("detailed_address")
    private String detailedAddress;

    @ApiModelProperty(value = "企业简介")
    @TableField("org_introduction")
    private String orgIntroduction;


}
