package com.unissoft.sys.service.impl;

import com.alibaba.fastjson2.JSON;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.common.DateUtils;
import com.unissoft.common.PageParam;
import com.unissoft.sys.mapper.SysOrgInfoMapper;
import com.unissoft.sys.model.SysOrgInfo;
import com.unissoft.sys.service.SysOrgInfoService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.Date;

/**
 * <p>
 * 单位信息 服务实现类
 * </p>
 *
 * @author root
 * @since 2023-03-20
 */
@Service
public class SysOrgInfoServiceImpl extends ServiceImpl<SysOrgInfoMapper, SysOrgInfo> implements SysOrgInfoService {
    @Resource
    private SysOrgInfoMapper orgInfoMapper;

    @Override
    public SysOrgInfo getOrgInfoByUser(String userName) {
        return orgInfoMapper.getOrgInfoByUser(userName);
    }

    @Override
    public IPage<SysOrgInfo> getPageList(PageParam pageParam) {
        // 分页条件
        Integer pageIndex = pageParam.getPageIndex();
        Integer pageSize = pageParam.getPageSize();

        // 查询条件
        String orgName = pageParam.getCondition();
        QueryWrapper<SysOrgInfo> queryWrapper = new QueryWrapper<>();
        if (!StringUtils.isEmpty(orgName)) {
            queryWrapper.like("org_name", orgName);
        }
        // 分页对象
        IPage<SysOrgInfo> page = new Page<>(pageIndex, pageSize);
        return orgInfoMapper.selectPage(page, queryWrapper);
    }
}
