package com.unissoft.user.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2023-01-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("user_info")
@ApiModel(value="UserInfo对象", description="")
public class UserInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "用户表主键")
    @TableId(value = "id", type = IdType.INPUT)
    private String id;

    @ApiModelProperty(value = "用户唯一登录名")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "机构编码")
    @TableField("org_code")
    private String orgCode;

    @ApiModelProperty(value = "用户姓名")
    @TableField("user_real_name")
    private String userRealName;

    @ApiModelProperty(value = "用户密码")
    @TableField("user_password")
    private String userPassword;

    @ApiModelProperty(value = "联系方式")
    @TableField("user_phone")
    private String userPhone;

    @ApiModelProperty(value = "性别(0:女,1:男)")
    @TableField("user_sex")
    private Integer userSex;

    @ApiModelProperty(value = "用户角色编码")
    @TableField("user_role")
    private String userRole;

    @ApiModelProperty(value = "地址")
    @TableField("user_address")
    private String userAddress;

    @ApiModelProperty(value = "用户状态-是否启用(0:停用,1:启用)")
    @TableField("user_state")
    private Integer userState;

    @ApiModelProperty(value = "最后一次登录时间")
    @TableField("last_login_time")
    private Date lastLoginTime;

    @ApiModelProperty(value = "创建时间")
    @TableField("build_time")
    private Date buildTime;


}
