package com.unissoft.utils;

import java.text.DecimalFormat;
import java.util.Calendar;
import java.util.Date;

public class Util {
    //计算百分比
    public static String percent(int x, int y) {
        String percent = "";
        double xx = x * 100.0;
        double yy = y * 100.0;
        double zz = xx / yy;
        DecimalFormat df = new DecimalFormat("##.00%");
        if(Math.abs(zz)<0.000000000001){
            percent = "0.00%";
        } else {
            percent = df.format(zz);
        }
        return percent;
    }
    /**
     * 同比环比周, 获取周格式日期  xxxx-xx
     *
     */
    public static String getCurrentWeekWithYearStartWithMonday(Date dateDesc) {
        Calendar c = Calendar.getInstance();
        c.setTime(dateDesc);
        c.setFirstDayOfWeek(Calendar.MONDAY);
        c.setMinimalDaysInFirstWeek(4);
        Date time = c.getTime();
        int day = c.get(Calendar.DAY_OF_MONTH);
        int week = c.get(Calendar.WEEK_OF_YEAR);
        int year = c.get(Calendar.YEAR);
        if (day > 28 && week == 1) {
            year++;
        } else if (day < 4 && week == getWeeksOfYear(dateDesc)){
            year--;
        }
        return "------"+String.format("%04d-%02d", year, week);
    }

    public static int getWeeksOfYear(int year) {
        Calendar cal = Calendar.getInstance();
        cal.setFirstDayOfWeek(Calendar.MONDAY);
        cal.setMinimalDaysInFirstWeek(4);
        cal.set(Calendar.YEAR, year);
        return cal.getWeeksInWeekYear();
    }
    public static int getWeeksOfYear(Date date) {
        Calendar cal = Calendar.getInstance();
        cal.setFirstDayOfWeek(Calendar.MONDAY);
        cal.setMinimalDaysInFirstWeek(4);
        cal.setTime(date);
        return cal.getWeeksInWeekYear();
    }


}
