package com.unissoft.webservice.cxf;

import com.unissoft.webservice.service.GrainTemperatureService;
import com.unissoft.webservice.service.impl.GrainTemperatureServiceImpl;
import org.apache.cxf.Bus;
import org.apache.cxf.bus.spring.SpringBus;
import org.apache.cxf.jaxws.EndpointImpl;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import javax.xml.ws.Endpoint;

/**
 * @author qingsong.han
 * @description: webservice cxf config
 * @create 2023-03-14 16:01
 */
@Configuration
public class CxfConfig {

    @Bean(name = Bus.DEFAULT_BUS_ID)
    public SpringBus springBus() {
        return new SpringBus();
    }

    // 温度
    @Bean
    public GrainTemperatureService grainTemperatureService() {
        return new GrainTemperatureServiceImpl();
    }

    @Bean
    public Endpoint uploadGrainTemperatureData() {
        EndpointImpl endpoint = new EndpointImpl(springBus(), grainTemperatureService());
        endpoint.publish("/uploadGrainTemperatureData");
        return endpoint;
    }
}
